"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var t=require("styled-components"),a=require("../../Paper/Paper.js"),r=require("../../utils-styles/colors.js"),d=require("../../utils-styles/pallette.js");function i(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var o=i(t);const l=o.default(a.default)`
  border-top: 1px solid
    ${e=>d.pallette(e).disabled?.border||r.disabledBorder};
  border-left: 1px solid
    ${e=>d.pallette(e).disabled?.border||r.disabledBorder};
  border-right: 1px solid
    ${e=>d.pallette(e).disabled?.border||r.disabledBorder};
  border-radius: 0;
  filter: none;
  ${({elevation:e})=>e&&"box-shadow: 0px 2px 1px -1px rgb(0 0 0 / 20%), 0px 1px 1px 0px rgb(0 0 0 / 14%), 0px 1px 3px 0px rgb(0 0 0 / 12%);"};
  &:first-of-type {
    border-top-left-radius: ${({square:e})=>!e&&"4px"};
    border-top-right-radius: ${({square:e})=>!e&&"4px"};
  }
  &:last-of-type {
    border-bottom-left-radius: ${({square:e})=>!e&&"4px"};
    border-bottom-right-radius: ${({square:e})=>!e&&"4px"};
    border-bottom: 1px solid
      ${e=>d.pallette(e).disabled?.border||r.disabledBorder};
  }
`,p=o.default.div`
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 48px;
  background-color: transparent;
  color: inherit;
  user-select: none;
  cursor: pointer;
  padding-left: 16px;
  padding-right: 16px;
  &:hover {
    background-color: ${e=>d.pallette(e).background?.lighten||r.grey10};
  }
  &:focus-visible {
    outline: 1px dashed
      ${e=>d.pallette(e).primary?.main||r.primary};
    outline-offset: -4px;
  }
  &[aria-disabled="true"] {
    background-color: transparent;
    * {
      color: ${e=>d.pallette(e).disabled?.text||r.disabledText} !important;
      cursor: not-allowed;
    }
  }
`,n=o.default.div`
  display: flex;
  align-items: center;
  flex-grow: 0;
  flex: 1;
`,s=o.default.div`
  padding: 16px;
  border-top: 1px solid
    ${e=>d.pallette(e).disabled?.border||r.disabledBorder};
`;exports.AccordionHeader=p,exports.AccordionHeaderContent=n,exports.AccordionPanel=s,exports.BaseAccordion=l;
