"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var o=require("styled-components"),r=require("styled-system"),t=require("../../utils-styles/colors.js"),a=require("../../utils-styles/pallette.js");function l(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var i=l(o);const n=i.default.div`
  position: relative;
  font-family: "Equinor";
  > ol {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0;
    margin: 0;
    list-style: none;
  }
  ${r.compose(r.space,r.typography,r.layout,r.flexbox,r.position)};
  ${({css:e})=>e};
`,p=i.default.li`
  font-size: 0.875rem;
  color: ${e=>a.pallette(e).text?.tertiary||t.grey50};
  cursor: pointer;
  &:hover {
    color: ${e=>a.pallette(e).primary?.hover||t.primaryHover};
    text-decoration: underline;
  }
  &:focus-visible {
    outline: 1px dashed
      ${e=>a.pallette(e).primary?.main||t.primary};
    outline-offset: 2px;
  }
  &.opt-breadcrumb--separator {
    display: flex;
    user-select: none;
    margin-left: 8px;
    margin-right: 8px;
    color: ${e=>a.pallette(e).text?.tertiary||t.grey50};
    cursor: default;
    text-decoration: none;
  }
  &.active {
    color: ${e=>a.pallette(e).primary?.main||t.primary};
  }
  > a {
    text-decoration: none;
    color: inherit;
    &:focus-visible {
      outline: 1px dashed
        ${e=>a.pallette(e).primary?.main||t.primary};
      outline-offset: 2px;
    }
  }
`;exports.Breadcrumb=p,exports.Container=n;
