"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var t=require("react/jsx-runtime"),s=require("date-fns"),g=require("react"),v=require("styled-components"),p=require("../../Slider/Slider.js"),o=require("../../utils-styles/colors.js"),b=require("../utils/helpers.js"),y=require("./context.js");function _(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var n=_(v);const j=n.default.div`
  position: relative;
  display: flex;
  justify-content: space-around;
  min-width: 280px;
  > div {
    flex: 1;
    padding: 20px 0 10px;
  }
`,$=n.default.div`
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
`,h=n.default.input`
  width: 40px;
  height: 40px;
  font-size: 20px;
  line-height: 40px;
  padding-left: 15px;
  background-color: ${o.secondary};
  color: ${o.white};
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5) inset;
  text-align: center;
  border-radius: 4px;
  border: 0;
  box-sizing: content-box;
`,k=n.default.div`
  &:after {
    content: ":";
    display: inline-block;
    font-size: 32px;
    font-weight: 700;
    color: ${o.secondary};
    width: 20px;
    height: 40px;
    line-height: 40px;
    text-align: center;
  }
`,f=n.default.div`
  padding: 10px 0;
  font-weight: 500;
`,q=()=>{const{uid:e,selectedDate:m,updateSelectedDate:u}=g.useContext(y.DatePickerContext),d=b.getInitialTime(m),r=d.getHours(),a=d.getMinutes(),x=i=>{const l=i*3600+a*60;u(s.addSeconds(s.startOfDay(d),l))},c=i=>{const l=r*3600+i*60;u(s.addSeconds(s.startOfDay(d),l))};return t.jsx(j,{minWidth:280,children:t.jsxs("div",{children:[t.jsxs($,{children:[t.jsx(h,{"aria-labelledby":`timepicker-${e}__hours`,type:"number",min:0,max:23,value:r<10?`0${r}`:`${r}`,onChange:i=>x(i.target.value)}),t.jsx(k,{}),t.jsx(h,{type:"number","aria-labelledby":`timepicker-${e}__minutes`,min:0,max:59,value:a<10?`0${a}`:`${a}`,onChange:i=>c(i.target.value)})]}),t.jsxs(f,{children:[t.jsx("div",{id:`timepicker-${e}__hours`,children:"Hours:"}),t.jsx(p.default,{mt:"10px",ariaLabelledby:`timepicker-${e}__hours`,min:0,max:23,value:[r],marks:{0:"0",23:"23"},onChange:i=>x(i[0])})]}),t.jsxs(f,{children:[t.jsx("div",{id:`timepicker-${e}__minutes`,children:"Minutes:"}),t.jsx(p.default,{mt:"10px",ariaLabelledby:`timepicker-${e}__minutes`,min:0,max:59,value:[a],marks:{0:"0",59:"59"},onChange:i=>c(i[0])})]})]})})};exports.default=q;
