"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var a=require("date-fns");require("react/jsx-runtime"),require("react"),require("../../BaseIcon/BaseIcon.js");var c=require("../../utils/formatDateAs/formatDateAs.js");require("styled-components"),require("color");const o=e=>/\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}.\d{3}Z/.test(e)?new Date(e).toISOString()===e:!1,y=(e,t)=>e?e instanceof Date?e:o(e)?a.parseISO(e):a.parse(e,t,new Date):null,d=(e,t,r)=>{if(t)return t;switch(e){case"date":return`yyyy-MM-dd${r?" HH:mm":""}`;case"week":return`yyyy-wo${r?" HH:mm":""}`;case"month":return`yyyy-MM${r?" HH:mm":""}`;case"quarter":return`yyyy-\\QQ${r?" HH:mm":""}`;case"year":return`yyyy${r?" HH:mm":""}`;default:return`yyyy-MM-dd${r?" HH:mm":""}`}},l=(e,t,r,n)=>{if(!t)return null;let s=d(e,r,n);return s==="yyyy-\\QQ"?`${c.default(t,"yyyy")}-Q${a.getQuarter(t)}`:(n&&s.toLocaleLowerCase().indexOf("hh:mm")===-1&&(s+=" HH:mm"),c.default(t,s))},D=(e=null)=>e?a.startOfDay(e):new Date;function f(e=null){return e||a.startOfDay(new Date)}function m(){return["M","T","W","T","F","S","S"]}function g(){return["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"]}function w(){return["Q1","Q2","Q3","Q4"]}const i=(e,t,r)=>{switch(e){case"date":case"week":return a.addMonths(t,r);case"month":case"quarter":return a.addYears(t,r);case"year":return a.startOfDecade(a.addYears(a.endOfDecade(t),r*10));default:return t}},h=(e,t,r)=>{const n=i(e,t,r);switch(e){case"date":case"week":{const s=n.toLocaleString("default",{month:"long"}),u=n.getFullYear();return`${s} ${u}`}case"month":case"quarter":return`${n.getFullYear()}`;case"year":{const s=a.startOfDecade(n),u=a.endOfDecade(n);return`${s.getFullYear()}-${u.getFullYear()}`}default:return""}},k=(e,t)=>{switch(e){case"date":case"week":return a.subMonths(t,1);case"month":case"quarter":return a.subYears(t,1);case"year":return a.startOfDecade(a.subYears(a.startOfDecade(t),1));default:return t}},O=(e,t)=>{switch(e){case"date":case"week":return a.addMonths(t,1);case"month":case"quarter":return a.addYears(t,1);case"year":return a.startOfDecade(a.addYears(a.endOfDecade(t),1));default:return t}},M=(e,t)=>{if(t&&typeof t=="function")return t;switch(e){case"date":return r=>a.isBefore(r,a.subDays(Date.now(),1));case"week":return r=>a.isBefore(a.startOfWeek(r,{weekStartsOn:1}),a.startOfWeek(Date.now(),{weekStartsOn:1}));default:return()=>!1}},H=(e,t)=>{const r=[];for(;e.length;)r.push(e.splice(0,t));return r};exports.chunkArray=H,exports.formatDatePicker=l,exports.getActualDateDisplay=i,exports.getDisabledDates=M,exports.getFormatDatePicker=d,exports.getInitialDate=D,exports.getInitialTime=f,exports.getMonthNames=g,exports.getQuarterNames=w,exports.getTitlePicker=h,exports.getWeeks=m,exports.moveDateBackward=k,exports.moveDateForward=O,exports.parseDate=y;
