"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var i=require("styled-components"),r=require("styled-system"),b=require("../Table/Table.styles.js"),a=require("../utils-styles/colors.js"),t=require("../utils-styles/pallette.js");function c(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var o=c(i);const n=o.default(b.BaseTable)`
  .BaseTable__table-frozen-left {
    z-index: 1;
  }
  .BaseTable__table-frozen-right {
    z-index: 1;
  }
  .BaseTable__row-cell {
    padding-top: 0;
    padding-bottom: 0;
  }
  .BaseTable__row-cell {
    background-color: ${e=>t.pallette(e).table.cell||a.white};
  }
  .BaseTable__row {
    background-color: transparent;
    &:hover {
      background-color: transparent;
    }
    &.BaseTable__row--clickable:hover {
      background-color: ${e=>t.pallette(e).table.cellHover||a.disabledFill};
    }
  }
  .BaseTable__header-cell,
  .BaseTable__row-cell {
    position: relative;
    &:after {
      content: "";
      position: absolute;
      right: 0;
      top: 0;
      bottom: 0;
      width: 1px;
      background: ${e=>t.pallette(e).disabled.border||a.disabledBorder};
    }
  }
  .BaseTable__row--selected {
    > .BaseTable__row-cell {
      background-color: ${e=>t.pallette(e).table.cellActive||a.primaryHighlight};
    }
  }
`,p=o.default.div`
  position: relative;
  background-color: #dcdcdc;
  border-radius: 100px;
  ${({progress:e,progressWidth:l,progressHeight:s,progressBg:d})=>e?`
      &:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: ${l}px;
        height: ${s}px;
        background: ${d};
        border-radius: 100px;
        border-top-right-radius: ${e<100?"0":"100px"};
        border-bottom-right-radius: ${e<100?"0":"100px"};
      }
  `:""};
  ${r.compose(r.space,r.color,r.typography,r.layout,r.background,r.border,r.position,r.shadow)};
`;exports.GanttTable=n,exports.TaskBase=p;
