"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var o=require("styled-components"),t=require("styled-system"),r=require("../../utils-styles/colors.js"),i=require("../../utils-styles/pallette.js");function a(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var n=a(o);const s=n.default.span`
  position: relative;
  overflow: hidden;
  display: block;
  height: 4px;
  z-index: 0;
  border-radius: 50px;
  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: ${e=>i.pallette(e).primary?.main||r.primary};
    opacity: 0.2;
    ${t.color};
  }
  @media print {
    color-adjust: exact;
  }
  ${t.compose(t.space,t.flexbox,t.position,t.shadow,t.width,t.height)};
  ${({css:e})=>e};
  .bar {
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    transition: transform 0.2s linear;
    transform-origin: left;
    background-color: ${e=>i.pallette(e).primary?.main||r.primary};
    ${t.color};
  }
  &.opt-progress--determinate {
    .bar1 {
      transition: transform 2s linear;
    }
  }
  &.opt-progress--indeterminate {
    .bar1 {
      width: auto;
      animation: indeterminate1 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395)
        infinite;
    }
    .bar2 {
      width: auto;
      animation: indeterminate2 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) 1.15s
        infinite;
    }
  }
  @keyframes indeterminate1 {
    0% {
      left: -35%;
      right: 100%;
    }
    60% {
      left: 100%;
      right: -90%;
    }
    100% {
      left: 100%;
      right: -90%;
    }
  }
  @keyframes indeterminate2 {
    0% {
      left: -200%;
      right: 100%;
    }
    60% {
      left: 107%;
      right: -8%;
    }
    100% {
      left: 107%;
      right: -8%;
    }
  }
`;exports.BaseProgress=s;
