"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var i=require("styled-components"),o=require("styled-system"),t=require("../../utils-styles/colors.js"),r=require("../../utils-styles/pallette.js");function n(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var a=n(i);const l=a.default.span`
  flex: 1;
  ${o.space};
  color: ${e=>r.pallette(e).text?.main||t.grey80};
`,p=a.default.li`
  position: relative;
  overflow: hidden;
  display: flex !important;
  flex-direction: row;
  align-items: center;
  width: 100%;
  height: 48px;
  min-height: 48px;
  &.opt-menu__item--compact {
    height: 32px;
    min-height: 32px;
  }
  padding: 16px 24px;
  font-weight: 500;
  ${o.compose(o.space,o.typography,o.layout,o.flexbox)};
  color: ${e=>r.pallette(e).text?.main||t.grey80};
  cursor: ${({clickable:e})=>e?"pointer":"default"};
  &:hover,
  &:focus {
    background-color: ${e=>r.pallette(e).background?.lighten||t.grey10};
  }
  &:focus {
    outline: 0;
  }
  &:focus-visible {
    outline: ${e=>r.pallette(e).primary?.main||t.primary}
      dashed 1px;
    outline-offset: -4px;
    ${({outlineOffset:e})=>e&&`outline-offset: ${e}`};
  }
  &.is-active {
    background-color: ${e=>r.pallette(e).primary?.highlight||t.primaryHighlight};
    color: ${e=>e.theme?.mode==="dark"?t.black:t.primary};
    ${l} {
      color: ${e=>e.theme?.mode==="dark"?t.black:t.primary};
    }
  }
  &[disabled] {
    > * {
      color: ${e=>r.pallette(e).disabled?.text||t.grey30};
    }
    ${l} {
      color: ${e=>r.pallette(e).disabled?.text||t.grey30};
    }
    > .opt-icon {
      color: ${e=>r.pallette(e).disabled?.border||t.disabledBorder};
    }
    background-color: transparent !important;
    cursor: not-allowed !important;
  }
  ${({clickable:e})=>!e&&`
      background-color: transparent !important;
      outline: none !important;
  `};
  ${({css:e})=>e};
`;exports.MenuItemBase=p,exports.MenuItemTitle=l;
