"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var i=require("react/jsx-runtime"),B=require("clsx"),p=require("react"),q=require("../Button/Button.js"),H=require("../Select/Select.js");require("../BaseIcon/BaseIcon.js"),require("date-fns"),require("date-fns/locale/en-US"),require("date-fns/locale/nb");var T=require("../utils/generateUID/generateUID.js");require("styled-components"),require("color");var U=require("../utils-icons/ChevronLeft.js"),V=require("../utils-icons/ChevronRight.js"),Y=require("../utils-icons/MoreHorizontal.js"),_=require("./styles/index.js");function z(l){return l&&typeof l=="object"&&"default"in l?l:{default:l}}var Z=z(B),F=z(p);const J={page:"page",of:"of",items:"items"},K=F.default.forwardRef(function({className:l,totalItems:b,page:o=void 0,defaultPage:I=void 0,itemsPerPage:L=10,pageSize:M=[10,30,50,100],showTotal:$=!0,showPageSize:y=!0,disabled:c=!1,onChange:S=void 0,onChangePageSize:C=void 0,i18n:E={},...R},k){const[v]=p.useState(T.default()),[t,P]=p.useState(o||I||1),[g,D]=p.useState(L),a=Math.ceil(b/g),w=g*(t-1)+1,G=w+g-1,n=7,f=5,u="ELLIPSIS",x={...J,...E};p.useEffect(()=>{o&&P(o)},[o]);const m=e=>()=>{o||P(e),S&&S(e)},A=({selectedValue:e})=>{const r=+e;D(r),C&&C(r)},N=(e,r)=>{const h=r-e+1;return Array.from({length:h},(s,d)=>e+d)},O=()=>{if(a>4){const e=t<f&&a>n?f:t<f&&a<=n?a:t+2<a-1?t+1:a,r=Math.max(1,t<f||a<=n?1:t+2>=a?a-4:t>4&&a>n?t-1:1),h=Math.min(a,e);let s=N(r,h);const d=r>2&&a>n,j=a-h>1&&a>n;return d&&!j?s=[1,u,...s]:!d&&j?s=[...s,u,a]:d&&j&&(s=[1,u,...s,u,a]),[...s]}return N(1,a)};return i.jsxs(_.Container,{ref:k,className:Z.default(l,"opt-pagination"),...R,children:[y&&i.jsx(H.default,{className:"opt-pagination__select",allowClear:!1,disabled:c,onSelect:A,value:g,width:"130px",inputProps:{"aria-label":"Select page size"},children:M.map(e=>i.jsx("option",{value:`${e}`,children:`${e} / ${x.page}`},`${v}-page-size__${e}`))}),$&&i.jsx("p",{className:"opt-pagination__items",style:{marginLeft:20},children:i.jsxs("span",{children:[w," - ",G," ",x.of," ",b," ",x.items]})}),i.jsxs(_.Navigation,{className:"opt-pagination__navigation","aria-label":"pagination",children:[i.jsx(q.default,{variant:"ghost",width:"40px",height:"40px",startIcon:i.jsx(U.default,{}),disabled:c||t===1,"aria-label":"Go to previous page",onClick:m(t-1)}),O().map((e,r)=>e!==u?i.jsx(q.default,{className:t===e?"active":"",variant:"ghost",disabled:c,width:"40px",height:"40px",borderRadius:"100%","aria-label":`Go to page ${e}`,onClick:m(+e),children:e},`${v}-${r}`):i.jsx(_.NavigationEllipsis,{children:i.jsx(Y.default,{})},`${v}-${r}`)),i.jsx(q.default,{variant:"ghost",width:"40px",height:"40px",startIcon:i.jsx(V.default,{}),disabled:c||t===a,"aria-label":"Go to next page",onClick:m(t+1)})]})]})});exports.default=K;
