"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var a=require("styled-components"),o=require("styled-system"),t=require("../../utils-styles/colors.js"),i=require("../../utils-styles/pallette.js");function n(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var r=n(a);const l=r.default.label`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  flex: 0 0 auto;
  align-items: center;
  outline: 0;
  margin: 0;
  cursor: pointer;
  border: 0;
  user-select: none;
  vertical-align: middle;
  text-decoration: none;
  ${o.compose(o.space,o.typography,o.position)};
  color: ${e=>i.pallette(e).text?.main||t.black};
  &[aria-disabled="true"] {
    cursor: not-allowed !important;
    color: ${e=>i.pallette(e).disabled?.text||t.disabledText};
    > .opt-radio {
      color: ${e=>i.pallette(e).disabled?.text||t.disabledText};
      pointer-events: none;
    }
  }
  ${({css:e})=>e};
`,p=r.default.span`
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: inherit;
  justify-content: inherit;
  border-radius: 100%;
  transition: background-color 0.2s linear;
  ${o.width};
  padding: 10px;
  &.opt-radio--primary {
    color: ${e=>i.pallette(e).primary?.main||t.primary};
    &:hover {
      background-color: ${e=>i.pallette(e).primary?.hoverAlt||t.primaryHoverAlt};
    }
  }
  &.opt-radio--secondary {
    color: ${e=>i.pallette(e).secondary?.main||t.secondary};
    &:hover {
      background-color: ${e=>i.pallette(e).secondary?.highlight||t.secondaryHighlight};
    }
  }
  &:focus-visible {
    outline: 1px dashed
      ${e=>i.pallette(e).primary?.main||t.primary};
    outline-offset: -4px;
  }
  &.opt-radio--compact {
    padding: 4px;
    & > input[type="radio"]:focus-visible + .opt-icon {
      outline-offset: 1px;
    }
  }
  & > input[type="radio"]:focus-visible + .opt-icon {
    outline: 1px dashed
      ${e=>i.pallette(e).primary?.main||t.primary};
    outline-offset: 6px;
    border-radius: 50%;
  }
  > svg {
    display: inline-block;
    width: 100%;
    height: 100%;
    font-size: 1.5rem;
    transition: fill 0.2s linear;
    flex-shrink: 0;
    user-select: none;
  }
  box-sizing: content-box;
`,d=r.default.input`
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
  cursor: inherit;
  z-index: 1;
`;exports.Container=l,exports.InputRadio=d,exports.Wrapper=p;
