export interface RippleElement {
    x: number;
    y: number;
    size: number;
}
export interface RippleProps {
    /**
     * The duration of the ripple effect.
     * @default 750
     */
    duration?: number;
    /**
     * The background color of the ripple effect.
     * @default "#000"
     */
    color?: string;
}
