import type { ReactNode } from "react";
import type { MenuItemGroupProps } from "../../MenuItemGroup";
export type SelectMenuItemGroupProps = Omit<MenuItemGroupProps, "onSelect"> & {
    multiple: boolean | undefined;
    selectedIds: string[];
    children: ReactNode;
    onSelect: (ids: string[]) => void;
    onDeselect: (ids: string[]) => void;
    expandable: boolean;
};
declare const SelectMenuItemGroup: ({ children, title, selectedIds, onSelect, onDeselect, expandable, multiple, ...other }: SelectMenuItemGroupProps) => import("react/jsx-runtime").JSX.Element;
export default SelectMenuItemGroup;
