"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var p=require("styled-components"),a=require("styled-system"),t=require("../../utils-styles/colors.js"),o=require("../../utils-styles/pallette.js");function l(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var r=l(p);const i=r.default.div`
  flex: 1 1 auto;
  overflow: hidden;
  &.opt-step--horizontal {
    padding-left: 8px;
    padding-right: 8px;
    &.no-grow {
      flex-grow: 0;
    }
  }
  &.opt-step--vertical {
    display: flex;
    padding-top: 8px;
    padding-bottom: 8px;
    min-height: 50px;
  }
  &[aria-disabled="true"] {
    opacity: 0.5;
    cursor: not-allowed;
  }
  ${a.compose(a.space,a.typography,a.layout,a.border,a.shadow)};
  ${({css:e})=>e};
`,n=r.default.div`
  display: flex;
  align-items: center;
  justify-content: center;
  color: ${e=>o.pallette(e).disabled?.text||t.disabledText};
  font-size: 0.875rem;
  margin-right: 10px;
  &.is-clickable {
    cursor: pointer;
  }
  &.is-active,
  &.is-completed {
    &.opt-step__icon--primary {
      color: ${e=>o.pallette(e).primary?.main||t.primary};
    }
    &.opt-step__icon--secondary {
      color: ${e=>o.pallette(e).secondary?.main||t.secondary};
    }
  }
  &.opt-step__icon.opt-step__icon--error {
    color: ${e=>o.pallette(e).danger?.main||t.danger};
  }
`,c=r.default.div`
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  color: ${e=>o.pallette(e).disabled?.text||t.disabledText};
  margin-right: 10px;
  &.opt-step__label--horizontal {
    &.opt-step__label--alternative {
      align-items: center;
      margin-top: 6px;
    }
  }
  &.opt-step__label--vertical {
    margin-top: -1px;
    margin-bottom: 10px;
    &.opt-step__label--alternative {
      margin-top: -4px;
    }
  }
  &.is-clickable {
    cursor: pointer;
  }
  &.is-hidden {
    display: none;
  }
  &.is-active,
  &.is-completed {
    color: ${e=>o.pallette(e).text?.main||t.grey80};
  }
  &.opt-step__label.opt-step__label--error {
    color: ${e=>o.pallette(e).danger?.main||t.danger};
  }
`,s=r.default.div`
  position: relative;
  &:after {
    content: "";
    position: absolute;
    display: block;
    background: ${e=>o.pallette(e).disabled?.text||t.disabledText};
  }
  &.opt-step__connector--horizontal {
    &:after {
      width: 9999px;
      height: 1px;
      top: 11px;
      left: 100%;
    }
    &.opt-step__connector--left {
      &:after {
        left: -10010px;
      }
    }
    &.opt-step__connector--compact {
      &:after {
        top: 8px;
      }
    }
  }
  &.opt-step__connector--vertical {
    &:after {
      width: 1px;
      height: 9999px;
      left: 10px;
      top: 8px;
    }
    &.opt-step__connector--compact {
      &:after {
        left: 4px;
      }
    }
  }
  &.is-completed {
    &.opt-step__connector--primary {
      &:after {
        background: ${e=>o.pallette(e).primary?.main||t.primary};
      }
    }
    &.opt-step__connector--secondary {
      &:after {
        background: ${e=>o.pallette(e).secondary?.main||t.secondary};
      }
    }
  }
  &.opt-step__connector.opt-step__connector--error {
    &:after {
      background: ${e=>o.pallette(e).danger?.main||t.danger};
    }
  }
`;exports.BaseStep=i,exports.BaseStepIcon=n,exports.StepConnector=s,exports.StepLabel=c;
