/// <reference types="react" />
import type { StepperProps } from "./Stepper.types";
type ContextProps = Pick<StepperProps, "color" | "orientation" | "alternativeLabel" | "compact"> & {
    isActive: (index: number) => boolean;
    isCompleted: (index: number) => boolean;
    isError: (index: number) => boolean;
    isLast: (index: number) => boolean;
    isExpanded: (index: number) => boolean;
    isClickable: (index: number) => boolean;
};
export declare const StepperContext: import("react").Context<ContextProps>;
export {};
