import { type RefAttributes, type ReactElement } from "react";
import type { DefaultUserSuggestion, EditorHandle, TipTapEditorProps } from "./TipTapEditor.types";
declare const _default: <UserSuggestion extends DefaultUserSuggestion = DefaultUserSuggestion>(props: Omit<import("..").BoxProps, "onChange" | "height"> & {
    renderToolbar?: (() => import("react").ReactNode) | undefined;
    height?: string | number | undefined;
    content?: string | undefined;
    immediatelyRender?: boolean | undefined;
    placeholder?: string | undefined;
    onChange?: ((content: string, mentions: string[]) => void) | undefined;
    spellCheck?: boolean | undefined;
    validateColors?: boolean | undefined;
    allowedColors?: string[] | undefined;
    allowedBackgroundColors?: string[] | undefined;
    mentionOptions?: {
        displayKey?: keyof UserSuggestion | undefined;
        debounceDelayMs?: number | undefined;
        debounceIsImmediate?: boolean | undefined;
        deleteTriggerWithBackspace?: boolean | undefined;
        userSuggestionPromise?: ((query: string) => Promise<UserSuggestion[]>) | undefined;
        userSuggestionRenderer?: ((item: UserSuggestion) => import("react").ReactNode) | undefined;
        noResultsRenderer?: string | (() => import("react").ReactNode) | undefined;
        loadingRenderer?: string | (() => import("react").ReactNode) | undefined;
    } | undefined;
} & RefAttributes<EditorHandle>) => ReactElement;
export default _default;
