import React, { type ReactNode } from "react";
interface MentionListProps<UserSuggestion> {
    items: UserSuggestion[];
    isLoading: boolean;
    command: (item: {
        id: string;
        label: string;
    }) => void;
    displayKey: string;
    userSuggestionRenderer?: (item: UserSuggestion) => ReactNode;
    noResultsRenderer?: string | (() => ReactNode);
    loadingRenderer?: string | (() => ReactNode);
}
declare const MentionList: React.ForwardRefExoticComponent<MentionListProps<{
    id: string;
    name: string;
}> & React.RefAttributes<any>>;
export default MentionList;
