import type { ReactElement, RefAttributes } from "react";
import type { TransitionActions, TransitionProps } from "react-transition-group/Transition";
export interface CollapseProps extends Omit<TransitionProps, "children">, TransitionActions {
    children: ReactElement & RefAttributes<ReactElement>;
    /**
     * The transition orientation.
     * @default "vertical"
     */
    orientation?: "horizontal" | "vertical";
}
