import type { ReactElement, RefAttributes } from "react";
import type { TransitionActions, TransitionProps } from "react-transition-group/Transition";
export interface SlideProps extends Omit<TransitionProps, "children">, TransitionActions {
    children: ReactElement & RefAttributes<ReactElement>;
    /**
     * The direction of the transition.
     * @default "down"
     */
    direction?: "down" | "left" | "right" | "up";
}
