/**
 *  Function to be sure the animation always start from the start.
 *
 * @param node a html element.
 * @returns the scrollTop px distance of the html node.
 */
export declare const reflow: (node: HTMLElement) => number;
/**
 * Get the duration of a transition mode.
 *
 * @param timeout the timeout time.
 * @param mode the transition mode.
 * @returns the transition duration, 0 otherwise.
 */
export declare function getTransitionDuration(timeout: number, mode: string): number;
