/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import o from"styled-components";import{compose as i,space as r,typography as e,layout as n,flexbox as p,background as a,border as l,position as s,shadow as d}from"styled-system";import{black as m}from"../../utils-styles/colors.js";import{pallette as g}from"../../utils-styles/pallette.js";import x from"./AlertContained.js";import f from"./AlertGhost.js";import c from"./AlertOutlined.js";const h=o.div`
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  color: ${t=>g(t).text?.main||m};
  font-size: 14px;
  font-variant: tabular-nums;
  line-height: 1.5;
  list-style: none;
  font-feature-settings: "tnum";
  position: relative;
  padding: 8px 15px;
  word-break: break-word;
  border-radius: 4px;
  &.opt-alert--contained {
    ${x};
  }
  &.opt-alert--outlined {
    ${c};
  }
  &.opt-alert--ghost {
    ${f};
  }
  ${i(r,e,n,p,a,l,s,d)};
  ${({css:t})=>t};
`,b=o.div`
  display: flex;
  align-items: center;
  > span:first-child {
    margin-right: 5px;
    margin-top: -1px;
  }
`,u=o.div`
  color: inherit;
  flex-grow: 1;
`,v=o.div`
  color: inherit;
  font-size: 14px;
  line-height: 22px;
  padding-right: 22px;
`;export{b as Box,h as Container,v as Message,u as Title};
