/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import i from"styled-components";import{compose as a,space as n,typography as p,layout as l,flexbox as m,position as s}from"styled-system";import{grey50 as t,primaryHover as c,primary as o}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const f=i.div`
  position: relative;
  font-family: "Equinor";
  > ol {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0;
    margin: 0;
    list-style: none;
  }
  ${a(n,p,l,m,s)};
  ${({css:r})=>r};
`,x=i.li`
  font-size: 0.875rem;
  color: ${r=>e(r).text?.tertiary||t};
  cursor: pointer;
  &:hover {
    color: ${r=>e(r).primary?.hover||c};
    text-decoration: underline;
  }
  &:focus-visible {
    outline: 1px dashed
      ${r=>e(r).primary?.main||o};
    outline-offset: 2px;
  }
  &.opt-breadcrumb--separator {
    display: flex;
    user-select: none;
    margin-left: 8px;
    margin-right: 8px;
    color: ${r=>e(r).text?.tertiary||t};
    cursor: default;
    text-decoration: none;
  }
  &.active {
    color: ${r=>e(r).primary?.main||o};
  }
  > a {
    text-decoration: none;
    color: inherit;
    &:focus-visible {
      outline: 1px dashed
        ${r=>e(r).primary?.main||o};
      outline-offset: 2px;
    }
  }
`;export{x as Breadcrumb,f as Container};
