/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import s from"styled-components";import{compose as o,space as t,color as a,flexbox as e,position as i,shadow as c,width as p,height as n}from"styled-system";import{primary as m}from"../../utils-styles/colors.js";import{pallette as f}from"../../utils-styles/pallette.js";const l=s.span`
  display: inline-block;
  color: ${r=>f(r).primary?.main||m};
  ${({transform:r})=>r&&`transform: ${r}`};
  ${o(t,a,e,i,c,p,n)};
  ${({css:r})=>r};
  & > svg {
    display: block;
    & > circle {
      stroke: currentColor;
      &:first-child {
        opacity: 0.2;
      }
    }
  }
  &.opt-progress--determinate {
    transition: transform 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    & > svg > circle:last-child {
      transition: stroke-dashoffset 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    }
  }
  &.opt-progress--indeterminate {
    animation: circular-rotate 1.4s linear infinite;
    & > svg > circle:last-child {
      animation: circular-dash 1.4s ease-in-out infinite;
      stroke-dasharray: 80px, 200px;
      stroke-dashoffset: 0px;
    }
  }
  @keyframes circular-rotate {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  @keyframes circular-dash {
    0% {
      stroke-dasharray: 1px, 200px;
      stroke-dashoffset: 0px;
    }
    50% {
      stroke-dasharray: 100px, 200px;
      stroke-dashoffset: -15px;
    }
    100% {
      stroke-dasharray: 100px, 200px;
      stroke-dashoffset: -125px;
    }
  }
`;export{l as BaseProgress};
