/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as t,jsxs as h}from"react/jsx-runtime";import e from"prop-types";import E,{useState as a,useEffect as F}from"react";import l from"styled-components";import y from"../../Button/Button.js";import B from"../../ButtonGroup/ButtonGroup.js";import"../../BaseIcon/BaseIcon.js";import"date-fns";import"date-fns/locale/en-US";import"date-fns/locale/nb";import K from"../../utils/generateUID/generateUID.js";import"color";import M from"../../utils-icons/Calendar.js";import V from"../../utils-icons/Time.js";import{getInitialDate as X,getDisabledDates as Y}from"../utils/helpers.js";import Z from"./CalendarBody.js";import z from"./CalendarHeader.js";import G from"./CalendarTime.js";import{DatePickerContext as H}from"./context.js";const J=l.div`
  position: relative;
  min-width: 280px;
  max-width: ${({nDisplays:m=1})=>280*m}px;
`,L=l.div`
  display: flex;
`,Q=l.div`
  flex: 1;
  margin-left: 10px;
  &:first-child {
    margin-left: 0;
  }
`,U=l.div`
  display: flex;
  justify-content: flex-end;
`,D=m=>{const{className:b,nDisplays:i,type:d,showToday:N,todayText:C,showTime:n,showWeekNumber:T,initialDate:r,rowProps:P,rowClassNames:g,cellProps:v,cellClassNames:k,onSelectDate:q,onChange:s,disabledDates:R,footer:$}=m,[w]=a(K()),[p,c]=a(0),[W,S]=a(X(r)),[f,x]=a(r),A=Y(d,R),u=d==="time";F(()=>{x(r)},[r]);const I=o=>{S(o)},O=o=>{x(o),q(o),n?c(1):s&&s(o)},j=()=>{s&&s(f),c(0)};return t(H.Provider,{value:{uid:w,nDisplays:i,type:d,showToday:N,todayText:C,showWeekNumber:T,actualDate:W,selectedDate:f,updateActualDate:I,updateSelectedDate:O,isDisabledDate:A},children:h(J,{className:b,nDisplays:i,children:[!u&&n&&h(B,{fullWidth:!0,active:p,onChange:({index:o})=>c(o),mb:10,children:[t(y,{startIcon:t(M,{}),children:"Date"}),t(y,{startIcon:t(V,{}),disabled:!f,children:"Time"})]}),!u&&p===0&&t(L,{children:[...Array(i).keys()].map(o=>t(E.Fragment,{children:h(Q,{children:[t(z,{display:o}),t(Z,{display:o,rowProps:P,rowClassNames:g,cellProps:v,cellClassNames:k})]})},`calendar-${w}--${o}`))}),(u||p===1)&&t(G,{}),$,n&&t(U,{children:t(y,{fullWidth:i===1,onClick:j,mt:10,children:"OK"})})]})})};D.propTypes={nDisplays:e.number.isRequired,type:e.oneOf(["date","week","month","quarter","year","time"]).isRequired,showToday:e.bool.isRequired,todayText:e.string,showTime:e.bool.isRequired,showWeekNumber:e.bool.isRequired,initialDate:e.instanceOf(Date),rowProps:e.func,rowClassNames:e.func,cellProps:e.func,cellClassNames:e.func,onSelectDate:e.func.isRequired,onChange:e.func,disabledDates:e.func,footer:e.element},D.defaultProps={initialDate:null,todayText:"Today",rowProps:()=>{},rowClassNames:()=>{},cellProps:()=>{},cellClassNames:()=>{},disabledDates:null,footer:void 0};export{D as default};
