/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as s,jsxs as w}from"react/jsx-runtime";import $ from"clsx";import{addMonths as v,eachWeekOfInterval as J,startOfMonth as R,endOfMonth as T,addDays as K,startOfDecade as m,addYears as h,endOfDecade as p,eachYearOfInterval as L,subYears as U,eachQuarterOfInterval as V,getISOWeek as X,isWeekend as Z,getQuarter as ee,isSameDay as re,isSameYear as te,isSameQuarter as ae,isSameMonth as x,isSameWeek as ne,getDecade as O}from"date-fns";import oe,{useContext as se,useMemo as de}from"react";import b from"styled-components";import{primaryHighlight as ie,black as ce,primary as le,primaryHoverAlt as ue}from"../../utils-styles/colors.js";import{pallette as _}from"../../utils-styles/pallette.js";import{chunkArray as g,getWeeks as he,getMonthNames as S,getQuarterNames as me}from"../utils/helpers.js";import f from"./CalendarCell.js";import{DatePickerContext as pe}from"./context.js";const fe=b.div`
  display: flex;
  flex-direction: row;
  ${({type:n})=>n!=="date"&&"flex-wrap: wrap"};
`,ke=b.table`
  width: 100%;
  border-collapse: collapse;
  tr:first-child {
    .is-weekend:first-child {
      border-top-left-radius: 4px;
    }
    .is-weekend:last-child {
      border-top-right-radius: 4px;
    }
  }
  tr:last-child {
    .is-weekend:first-child {
      border-bottom-left-radius: 4px;
    }
    .is-weekend:last-child {
      border-bottom-right-radius: 4px;
    }
  }
`,M=b.tr`
  &.week {
    button {
      pointer-events: none;
    }
    &.is-active,
    &.is-range {
      background-color: ${n=>_(n).primary.highlight||ie} !important;
      td.is-weekend {
        background-color: transparent;
      }
      .opt-button {
        color: ${n=>n.theme?.mode==="dark"?ce:le} !important;
      }
    }
    &:hover {
      cursor: pointer;
      background-color: ${n=>_(n).primary.hoverAlt||ue};
    }
    &.is-active,
    &:hover {
      td {
        background-color: transparent !important;
      }
    }
    &[disabled] {
      cursor: not-allowed;
    }
  }
`,we=n=>{const{display:d,rowProps:W,rowClassNames:Y,cellProps:C,cellClassNames:N}=n,{uid:k,type:t,showWeekNumber:F,actualDate:i,selectedDate:l,updateSelectedDate:y,isDisabledDate:c}=se(pe),I=t==="date"||t==="week",D=t==="week"||t==="date"&&F,Q=de(()=>{switch(t){case"month":{const e=h(i,d).getFullYear(),a=S();return g(a.reduce((r,o)=>{const u=new Date(`${e}-${a.indexOf(o)+1}`);return r.push(u),r},[]),3)}case"quarter":{const e=h(i,d).getFullYear(),a=V({start:new Date(`${e}`),end:new Date(`${e}-12-31`)});return g(a,4)}case"year":{const e=m(h(p(i),d*10)),a=m(e),r=p(e),o=L({start:p(U(a,1)),end:m(h(r,1))});return g(o,3)}default:{const e=v(i,d);return J({start:R(e),end:T(e)},{weekStartsOn:1}).reduce((a,r)=>{const o=[];for(let u=0,E=7;u<E;u++){const G=K(r,u);o.push(G)}return a.push(o),a},[])}}},[d,t,i]),q=e=>()=>{t==="week"&&y(e)},A=e=>()=>{y(e)},P=e=>{switch(t){case"month":return S()[e.getMonth()];case"quarter":return me()[ee(e)-1];case"year":return e.getFullYear();default:return e.getDate()}},H=e=>{switch(t){case"month":return x(e,l);case"quarter":return ae(e,l);case"year":return te(e,l);case"date":return re(e,l);default:return!1}},j=e=>t==="week"?ne(e,l,{weekStartsOn:1}):!1,z=e=>{if(t==="date"||t==="week"){const a=v(i,d);return!x(e,a)}return!1},B=e=>{if(t==="year"){const a=m(h(p(i),d*10));return O(e)!==O(a)}return!1};return s(fe,{type:t,children:w(ke,{children:[I&&s("thead",{children:w(M,{children:[D&&s(f,{}),he().map((e,a)=>s(f,{children:e},`calendar-body__${k}__header-cell--${a}`))]})}),s("tbody",{children:Q.map((e,a)=>s(M,{className:$(t,j(e[0])&&"is-active",Y(e[0],c(e[0]))),onClick:q(e[0]),disabled:c(e[0]),...W(e[0],c(e[0])),children:e.map((r,o)=>w(oe.Fragment,{children:[D&&o===0&&s(f,{children:X(r,{weekStartsOn:1,firstWeekContainsDate:4})}),s(f,{className:$(t,H(r)&&"is-active",Z(r)&&"is-weekend",z(r)&&"is-different-month",B(r)&&"is-different-decade",N(r,c(r))),type:t,date:r,onClick:A(r),disabled:c(r),...C(r,c(r)),children:P(r)})]},`calendar-body__${k}__row-cell--${o}`))},`calendar-body__${k}__row--${a}`))})]})})};export{we as default};
