/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as r}from"react/jsx-runtime";import{isToday as g}from"date-fns";import f from"styled-components";import b from"../../Button/Button.js";import{grey50 as x,grey10 as u,disabledText as o,primaryHighlight as y,black as k,primary as $,primaryHighlightHover as v}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const l=f.td`
  flex: 1;
  width: 32px;
  height: 32px;
  line-height: 32px;
  text-align: center;
  font-size: 0.625rem;
  color: ${t=>e(t).text.tertiary||x};
  &.date,
  &.week {
    &.is-weekend {
      background-color: ${t=>e(t).background.lighten||u};
    }
    &.is-different-month {
      color: ${t=>e(t).disabled.text||o} !important;
      .opt-button {
        color: ${t=>e(t).disabled.text||o} !important;
      }
    }
  }
  &.year {
    &.is-different-decade {
      .opt-button {
        color: ${t=>e(t).disabled.text||o} !important;
      }
    }
  }
  &.is-active,
  &.is-range {
    border-radius: 4px;
    background-color: ${t=>e(t).primary.highlight||y} !important;
    .opt-button {
      color: ${t=>t.theme?.mode==="dark"?k:$} !important;
    }
    &:hover {
      background-color: ${t=>e(t).primary.highlightHover||v} !important;
    }
  }
`,w=t=>{const{className:h,children:a,type:d,date:m,onClick:n,disabled:p,...c}=t,s=typeof n=="function",i=()=>d==="date"||d==="week"?"32px":"100%";return s?r(l,{className:h,...c,children:r(b,{variant:g(m)?"outlined":"ghost",minWidth:"inherit",width:i(),height:i(),minHeight:i(),fullWidth:!0,onClick:n,disabled:p,children:a})}):r(l,{children:a})};export{w as default};
