/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{parseISO as h,parse as g,getQuarter as p,startOfDay as y,startOfDecade as u,endOfDecade as o,isBefore as i,startOfWeek as m,subDays as k,addYears as s,addMonths as l,subYears as d,subMonths as H}from"date-fns";import"react/jsx-runtime";import"react";import"../../BaseIcon/BaseIcon.js";import f from"../../utils/formatDateAs/formatDateAs.js";import"styled-components";import"color";const $=e=>/\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}.\d{3}Z/.test(e)?new Date(e).toISOString()===e:!1,M=(e,t)=>e?e instanceof Date?e:$(e)?h(e):g(e,t,new Date):null,w=(e,t,r)=>{if(t)return t;switch(e){case"date":return`yyyy-MM-dd${r?" HH:mm":""}`;case"week":return`yyyy-wo${r?" HH:mm":""}`;case"month":return`yyyy-MM${r?" HH:mm":""}`;case"quarter":return`yyyy-\\QQ${r?" HH:mm":""}`;case"year":return`yyyy${r?" HH:mm":""}`;default:return`yyyy-MM-dd${r?" HH:mm":""}`}},Q=(e,t,r,a)=>{if(!t)return null;let n=w(e,r,a);return n==="yyyy-\\QQ"?`${f(t,"yyyy")}-Q${p(t)}`:(a&&n.toLocaleLowerCase().indexOf("hh:mm")===-1&&(n+=" HH:mm"),f(t,n))},O=(e=null)=>e?y(e):new Date;function S(e=null){return e||y(new Date)}function F(){return["M","T","W","T","F","S","S"]}function Y(){return["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"]}function b(){return["Q1","Q2","Q3","Q4"]}const D=(e,t,r)=>{switch(e){case"date":case"week":return l(t,r);case"month":case"quarter":return s(t,r);case"year":return u(s(o(t),r*10));default:return t}},q=(e,t,r)=>{const a=D(e,t,r);switch(e){case"date":case"week":{const n=a.toLocaleString("default",{month:"long"}),c=a.getFullYear();return`${n} ${c}`}case"month":case"quarter":return`${a.getFullYear()}`;case"year":{const n=u(a),c=o(a);return`${n.getFullYear()}-${c.getFullYear()}`}default:return""}},T=(e,t)=>{switch(e){case"date":case"week":return H(t,1);case"month":case"quarter":return d(t,1);case"year":return u(d(u(t),1));default:return t}},A=(e,t)=>{switch(e){case"date":case"week":return l(t,1);case"month":case"quarter":return s(t,1);case"year":return u(s(o(t),1));default:return t}},I=(e,t)=>{if(t&&typeof t=="function")return t;switch(e){case"date":return r=>i(r,k(Date.now(),1));case"week":return r=>i(m(r,{weekStartsOn:1}),m(Date.now(),{weekStartsOn:1}));default:return()=>!1}},v=(e,t)=>{const r=[];for(;e.length;)r.push(e.splice(0,t));return r};export{v as chunkArray,Q as formatDatePicker,D as getActualDateDisplay,I as getDisabledDates,w as getFormatDatePicker,O as getInitialDate,S as getInitialTime,Y as getMonthNames,b as getQuarterNames,q as getTitlePicker,F as getWeeks,T as moveDateBackward,A as moveDateForward,M as parseDate};
