/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import r from"styled-components";import{compose as i,space as d,color as s,typography as b,layout as c,background as p,border as n,position as g,shadow as _}from"styled-system";import{BaseTable as h}from"../Table/Table.styles.js";import{white as u,disabledFill as m,disabledBorder as B,primaryHighlight as T}from"../utils-styles/colors.js";import{pallette as o}from"../utils-styles/pallette.js";const f=r(h)`
  .BaseTable__table-frozen-left {
    z-index: 1;
  }
  .BaseTable__table-frozen-right {
    z-index: 1;
  }
  .BaseTable__row-cell {
    padding-top: 0;
    padding-bottom: 0;
  }
  .BaseTable__row-cell {
    background-color: ${e=>o(e).table.cell||u};
  }
  .BaseTable__row {
    background-color: transparent;
    &:hover {
      background-color: transparent;
    }
    &.BaseTable__row--clickable:hover {
      background-color: ${e=>o(e).table.cellHover||m};
    }
  }
  .BaseTable__header-cell,
  .BaseTable__row-cell {
    position: relative;
    &:after {
      content: "";
      position: absolute;
      right: 0;
      top: 0;
      bottom: 0;
      width: 1px;
      background: ${e=>o(e).disabled.border||B};
    }
  }
  .BaseTable__row--selected {
    > .BaseTable__row-cell {
      background-color: ${e=>o(e).table.cellActive||T};
    }
  }
`,k=r.div`
  position: relative;
  background-color: #dcdcdc;
  border-radius: 100px;
  ${({progress:e,progressWidth:a,progressHeight:t,progressBg:l})=>e?`
      &:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: ${a}px;
        height: ${t}px;
        background: ${l};
        border-radius: 100px;
        border-top-right-radius: ${e<100?"0":"100px"};
        border-bottom-right-radius: ${e<100?"0":"100px"};
      }
  `:""};
  ${i(d,s,b,c,p,n,g,_)};
`;export{f as GanttTable,k as TaskBase};
