/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import t from"styled-components";import{compose as r,space as o,color as s,typography as n,layout as a,flexbox as i,border as p}from"styled-system";import l from"../../utils-icons/ArrowDropRight.js";const m=t.li`
  display: flex !important;
  flex-direction: row;
  align-items: center;
  padding: 16px 16px 8px 16px;
  font-size: 0.625rem;
  line-height: 1rem;
  letter-spacing: 1.1px;
  text-transform: uppercase;
  ${r(o,s,n,a,i,p)};
  ${({css:e})=>e};

  // Disabled no-used-vars because [is-expandable] is used in SelectMenuItemGroupBase.tsx
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  &.is-expandable {
    cursor: pointer;
  }
`,d=t(l)`
  & svg {
    transform: rotate(0deg);
    transition: transform 0.2s ease-in-out;

    ${({expanded:e})=>e&&"transform: rotate(90deg);"}
  }
`;export{d as ArrowDropRightRotateDown,m as MenuItemGroupBase};
