/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as V}from"react/jsx-runtime";import ee from"clsx";import $,{useRef as te,useState as b,useImperativeHandle as oe,useMemo as ne,useEffect as le}from"react";import ie from"./components/SelectDropdown.js";import ae from"./components/SelectInput.js";import{getMenuSelectedIds as se,createSelectMenuItems as de,getLabelByMenuItemId as Q,hasValue as pe}from"./utils/index.js";const re=$.forwardRef(function({className:U,children:g,selectRef:X=void 0,value:p=void 0,defaultValue:Y=void 0,inputValue:i=void 0,multiple:n=!1,expandable:D=!1,options:S=void 0,filterOption:y=!1,noOptionsText:P="No Data",noOptionsValue:C=void 0,onSelect:r=void 0,onDeselect:u=void 0,onClear:w=void 0,onChange:A=void 0,itemGroupRenderer:N=void 0,itemRenderer:_=void 0,dropdownProps:x={},disabled:R=!1,...c},Z){const j=te(null),[B,k]=b(!1),[m,f]=b(p||Y),[h,O]=b(i||""),G=typeof g<"u"&&!!g||S&&S.length>0||!1,v=p||p==="",a=i||i==="",M=c.width||j.current?.offsetWidth||"25ch";oe(X,()=>({open:()=>I(!0),close:()=>I(!1)}));const T=S||$.Children.toArray(g),s=se(n,v?p:m),{options:l,menuItems:q,totalOptions:z}=ne(()=>de({items:T,inputValue:a?i:h,menuSelectedIds:s,multiple:n,expandable:D,filterOption:y,noOptionsText:P,noOptionsValue:C,itemGroupRenderer:N,itemRenderer:_,onSelect:e=>F(e),onDeselect:e=>H(e),parentIsOptGroup:!1}),[T,a?i:h,s,n,D,y,P,C,N,_]);le(()=>{!h&&typeof m!="object"&&O(Q(`${m}`,l))},[l]);const I=e=>{R||k(e)},F=e=>{e.length!==0&&f(t=>{const o=t||[],d=Array.isArray(o)?o:[o];return r&&r({selectedValue:[...d,...e],options:l}),[...d,...e]})},H=e=>{e.length!==0&&f(t=>{const o=Array.isArray(t)?t:[t].filter(Boolean);return u&&u({selectedValue:[...o.filter(d=>!e.includes(d))],deselectedValue:e,options:l}),o.filter(d=>!e.includes(d))})},J=({menuItemId:e},t)=>{t.preventDefault(),t.stopPropagation();const o=n?[...s]:[];o.includes(e)||o.push(e),r&&r({selectedValue:n?o:o[0],options:l},t),K(o,t)},W=({menuItemId:e},t)=>{t.preventDefault(),t.stopPropagation();const o=[...s];o.includes(e)&&o.splice(o.indexOf(e),1),u&&u({selectedValue:n?o:o[0],deselectedValue:e,options:l},t),K(o,t)},K=(e,t)=>{v||f([...e]),n||(I(!1),a||O(Q(e[0],l)),x.onClose&&x.onClose(t))},L=e=>{if(y){const t=e.target.value;a||O(t),A&&A(t,e)}},E=e=>{e.preventDefault(),e.stopPropagation(),w&&w(e),v||f([]),a||O("")};return V(ie,{menuWidth:M,menuOpen:B,menuItems:q,menuSelectedIds:s,selectOptions:l,hasOptions:G,compact:c.compact,multiple:n,disabled:R,dropdownProps:x,setMenuOpen:I,handleSelectOption:J,handleDeSelectOption:W,children:V("div",{className:ee(U,"opt-select__input"),style:{width:c.fullWidth?"100%":void 0},children:V("div",{ref:j,children:V(ae,{ref:Z,menuOpen:B,menuSelectedIds:s,selectOptions:l,totalOptions:z,hasOptions:G,hasValue:pe(v?p:m),inputWidth:M,handleDeSelectOption:W,handleChangeInputValue:L,handleClearInput:E,inputValue:a?i:h,multiple:n,disabled:R,...c})})})})});export{re as default};
