/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsxs as i,Fragment as g,jsx as t}from"react/jsx-runtime";import n from"clsx";import O,{useContext as P}from"react";import h from"../Box/Box.js";import{StepperContext as V}from"../Stepper/context.js";import k from"../Typography/Typography.js";import W from"../utils-icons/CheckCircleOutlined.js";import q from"../utils-icons/DotIcon.js";import J from"../utils-icons/ErrorOutlined.js";import N from"../utils-icons/StepIcon.js";import{BaseStep as Q,StepConnector as x,BaseStepIcon as z,StepLabel as T}from"./styles/index.js";const U=O.forwardRef(function({index:e=0,className:S,children:j,variant:r="default",label:$=void 0,description:v=void 0,completed:o=!1,stepIcon:w=t(N,{size:22,children:e+1}),stepActiveIcon:y=t(N,{size:22,children:e+1}),stepCompletedIcon:A=t(W,{size:22}),stepErrorIcon:E=t(J,{size:22}),disabled:b=!1,onClick:C=void 0,...L},B){const{color:l,orientation:c,alternativeLabel:p,compact:a,isActive:D,isCompleted:R,isError:F,isLast:G,isExpanded:H,isClickable:K}=P(V),s=D(e),_=G(e),u=H(e),m=K(e),d=M=>{!b&&C&&C(e,M)},I=()=>a?t(q,{size:10}):r==="error"?E:o?A:s?y:w,f=()=>$?i(T,{"aria-hidden":!u,className:n("opt-step__label",`opt-step__label--${r}`,`opt-step__label--${c}`,p&&"opt-step__label--alternative",m&&"is-clickable",s&&"is-active",o&&"is-completed",!u&&"is-hidden"),onClick:d,children:[t(k,{color:"inherit",fontWeight:s&&!o?"bold":void 0,children:$}),v&&t(k,{color:"inherit",fontSize:"0.875rem",children:v})]}):null;return i(Q,{ref:B,className:n(S,"opt-step",`opt-step--${c}`,e===0&&p&&"no-grow",_&&"no-grow"),"aria-disabled":b,...L,children:[c==="horizontal"&&i(g,{children:[i(h,{display:"flex",alignItems:"flex-start",justifyContent:p?"center":void 0,children:[p&&e>0&&t(x,{className:n("opt-step__connector",`opt-step__connector--${l}`,`opt-step__connector--${c}`,"opt-step__connector--left",a&&"opt-step__connector--compact",F(e-1)&&"opt-step__connector--error",R(e-1)&&"is-completed")}),t(z,{className:n("opt-step__icon",`opt-step__icon--${r}`,`opt-step__icon--${l}`,s&&"is-active",o&&"is-completed",m&&"is-clickable"),onClick:d,children:I()}),!p&&f(),!_&&t(x,{className:n("opt-step__connector",`opt-step__connector--${r}`,`opt-step__connector--${l}`,`opt-step__connector--${c}`,a&&"opt-step__connector--compact",o&&"is-completed")})]}),p&&f()]}),c==="vertical"&&i(g,{children:[i(h,{display:"flex",flexDirection:"column",alignItems:"flex-start",children:[t(z,{className:n("opt-step__icon",`opt-step__icon--${r}`,`opt-step__icon--${l}`,s&&"is-active",o&&"is-completed",m&&"is-clickable"),onClick:d,children:I()}),!_&&t(x,{className:n("opt-step__connector",`opt-step__connector--${r}`,`opt-step__connector--${l}`,`opt-step__connector--${c}`,a&&"opt-step__connector--compact",o&&"is-completed")})]}),i(h,{display:"flex",flexDirection:"column",alignItems:"flex-start",children:[f(),s&&j]})]})]})});export{U as default};
