/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import o from"styled-components";import{compose as n,space as c,typography as l,layout as s,border as d,shadow as m}from"styled-system";import{disabledText as r,primary as a,secondary as i,danger as p,grey80 as _}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const x=o.div`
  flex: 1 1 auto;
  overflow: hidden;
  &.opt-step--horizontal {
    padding-left: 8px;
    padding-right: 8px;
    &.no-grow {
      flex-grow: 0;
    }
  }
  &.opt-step--vertical {
    display: flex;
    padding-top: 8px;
    padding-bottom: 8px;
    min-height: 50px;
  }
  &[aria-disabled="true"] {
    opacity: 0.5;
    cursor: not-allowed;
  }
  ${n(c,l,s,d,m)};
  ${({css:t})=>t};
`,g=o.div`
  display: flex;
  align-items: center;
  justify-content: center;
  color: ${t=>e(t).disabled?.text||r};
  font-size: 0.875rem;
  margin-right: 10px;
  &.is-clickable {
    cursor: pointer;
  }
  &.is-active,
  &.is-completed {
    &.opt-step__icon--primary {
      color: ${t=>e(t).primary?.main||a};
    }
    &.opt-step__icon--secondary {
      color: ${t=>e(t).secondary?.main||i};
    }
  }
  &.opt-step__icon.opt-step__icon--error {
    color: ${t=>e(t).danger?.main||p};
  }
`,f=o.div`
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  color: ${t=>e(t).disabled?.text||r};
  margin-right: 10px;
  &.opt-step__label--horizontal {
    &.opt-step__label--alternative {
      align-items: center;
      margin-top: 6px;
    }
  }
  &.opt-step__label--vertical {
    margin-top: -1px;
    margin-bottom: 10px;
    &.opt-step__label--alternative {
      margin-top: -4px;
    }
  }
  &.is-clickable {
    cursor: pointer;
  }
  &.is-hidden {
    display: none;
  }
  &.is-active,
  &.is-completed {
    color: ${t=>e(t).text?.main||_};
  }
  &.opt-step__label.opt-step__label--error {
    color: ${t=>e(t).danger?.main||p};
  }
`,b=o.div`
  position: relative;
  &:after {
    content: "";
    position: absolute;
    display: block;
    background: ${t=>e(t).disabled?.text||r};
  }
  &.opt-step__connector--horizontal {
    &:after {
      width: 9999px;
      height: 1px;
      top: 11px;
      left: 100%;
    }
    &.opt-step__connector--left {
      &:after {
        left: -10010px;
      }
    }
    &.opt-step__connector--compact {
      &:after {
        top: 8px;
      }
    }
  }
  &.opt-step__connector--vertical {
    &:after {
      width: 1px;
      height: 9999px;
      left: 10px;
      top: 8px;
    }
    &.opt-step__connector--compact {
      &:after {
        left: 4px;
      }
    }
  }
  &.is-completed {
    &.opt-step__connector--primary {
      &:after {
        background: ${t=>e(t).primary?.main||a};
      }
    }
    &.opt-step__connector--secondary {
      &:after {
        background: ${t=>e(t).secondary?.main||i};
      }
    }
  }
  &.opt-step__connector.opt-step__connector--error {
    &:after {
      background: ${t=>e(t).danger?.main||p};
    }
  }
`;export{x as BaseStep,g as BaseStepIcon,b as StepConnector,f as StepLabel};
