/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import _ from"react-base-table";import t from"styled-components";import{width as d,height as n}from"styled-system";import{white as l,grey10 as o,disabledBorder as i,disabledFill as s,grey20 as r,primary as b,grey15 as c,primaryHighlight as h}from"../utils-styles/colors.js";import{pallette as a}from"../utils-styles/pallette.js";const T=t(_)`
  /* START => react-base-table/styles.css */
  &.BaseTable {
    box-shadow: 0 2px 4px 0 #eeeeee;
    background-color: ${e=>a(e).table.cell||l};
    position: relative;
    box-sizing: border-box;
    font-size: 0.875rem;
    font-weight: 500;
  }
  &.BaseTable--disabled {
    opacity: 0.7;
    pointer-events: none;
  }
  &.BaseTable--dynamic .BaseTable__row {
    overflow: hidden;
    align-items: stretch;
  }
  &.BaseTable:not(.BaseTable--dynamic) .BaseTable__row-cell-text,
  &.BaseTable .BaseTable__row--frozen .BaseTable__row-cell-text {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .BaseTable__table {
    background-color: ${e=>a(e).table.cell||l};
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column-reverse;
  }
  .BaseTable__table-main {
    outline: 1px solid #eeeeee;
    left: 0;
  }
  .BaseTable__table-main .BaseTable__header-cell:first-child,
  .BaseTable__table-main .BaseTable__row-cell:first-child {
    padding-left: 15px;
  }
  .BaseTable__table-main .BaseTable__header-cell:last-child,
  .BaseTable__table-main .BaseTable__row-cell:last-child {
    padding-right: 15px;
  }
  .BaseTable__table-main .BaseTable__header {
    background-color: ${e=>a(e).table.header||o};
  }
  .BaseTable__table-frozen-left .BaseTable__header,
  .BaseTable__table-frozen-left .BaseTable__body,
  .BaseTable__table-frozen-right .BaseTable__header,
  .BaseTable__table-frozen-right .BaseTable__body {
    overflow: hidden !important;
  }
  .BaseTable__table-frozen-left {
    box-shadow: ${e=>e.theme?.mode==="dark"?"2px 0 4px -2px #eeeeee":"2px 0 4px 0px #eeeeee"};
    top: 0;
    left: 0;
  }
  .BaseTable__table-frozen-left .BaseTable__header-cell:first-child,
  .BaseTable__table-frozen-left .BaseTable__row-cell:first-child {
    padding-left: 15px;
  }
  .BaseTable__table-frozen-left .BaseTable__header-row,
  .BaseTable__table-frozen-left .BaseTable__row {
    padding-right: 0 !important;
  }
  .BaseTable__table-frozen-left .BaseTable__body {
    overflow-y: auto !important;
  }
  .BaseTable__table-frozen-right {
    box-shadow: ${e=>e.theme?.mode==="dark"?"-2px 0 4px -2px #eeeeee":"-2px 0 4px 0px #eeeeee"};
    top: 0;
    right: 0;
  }
  .BaseTable__table-frozen-right .BaseTable__header-cell:last-child,
  .BaseTable__table-frozen-right .BaseTable__row-cell:last-child {
    padding-right: 15px;
  }
  .BaseTable__table-frozen-right .BaseTable__header-row,
  .BaseTable__table-frozen-right .BaseTable__row {
    padding-left: 0 !important;
  }
  .BaseTable__table-frozen-right .BaseTable__body {
    overflow-y: auto !important;
  }
  .BaseTable__header {
    overflow: hidden !important;
  }
  .BaseTable .BaseTable__header,
  .BaseTable .BaseTable__body {
    outline: none;
  }
  .BaseTable__header-row,
  .BaseTable__row {
    display: flex;
    align-items: center;
    border-bottom: 1px solid
      ${e=>a(e).disabled.border||i};
    box-sizing: border-box;
  }
  .BaseTable__header-row {
    background-color: ${e=>a(e).table.header||o};
    font-weight: 700;
  }
  .BaseTable__row {
    background-color: ${e=>a(e).table.cell||l};
  }
  .BaseTable__row:hover,
  .BaseTable__row--hovered {
    background-color: ${e=>a(e).table.cellHover||s};
  }
  .BaseTable__row-expanded {
    border-bottom: 1px solid #eeeeee;
  }
  .BaseTable__header-cell,
  .BaseTable__row-cell {
    min-width: 0;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 7.5px;
    box-sizing: border-box;
  }
  .BaseTable__header-cell--align-center,
  .BaseTable__row-cell--align-center {
    justify-content: center;
    text-align: center;
  }
  .BaseTable__header-cell--align-right,
  .BaseTable__row-cell--align-right {
    justify-content: flex-end;
    text-align: right;
  }
  .BaseTable__header-cell {
    position: relative;
    cursor: default;
  }
  .BaseTable__header-cell:hover .BaseTable__column-resizer {
    visibility: visible;
    opacity: 0.5;
  }
  .BaseTable__header-cell:hover .BaseTable__column-resizer:hover {
    opacity: 1;
  }
  .BaseTable__header-cell .BaseTable__sort-indicator {
    display: none;
  }
  .BaseTable__header-cell--sortable:hover {
    background-color: ${e=>a(e).table.headerHover||r};
    cursor: pointer;
  }
  .BaseTable__header-cell--sortable:not(.BaseTable__header-cell--sorting):hover
    .BaseTable__sort-indicator {
    display: block;
  }
  .BaseTable__header-cell--sorting .BaseTable__sort-indicator,
  .BaseTable__header-cell--sorting:hover .BaseTable__sort-indicator {
    display: block;
  }
  .BaseTable__header-cell--resizing .BaseTable__column-resizer {
    visibility: visible;
    opacity: 1;
  }
  .BaseTable__header-cell--resizing .BaseTable__column-resizer::after {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    content: "";
    left: -9999px;
  }
  .BaseTable__header-cell-text {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
  }
  .BaseTable__header-row--resizing .BaseTable__header-cell {
    background-color: transparent;
    cursor: col-resize;
  }
  .BaseTable__header-row--resizing
    .BaseTable__header-cell:not(.BaseTable__header-cell--sorting)
    .BaseTable__sort-indicator {
    display: none;
  }
  .BaseTable__header-row--resizing
    .BaseTable__header-cell:not(.BaseTable__header-cell--resizing)
    .BaseTable__column-resizer {
    visibility: hidden;
  }
  .BaseTable__column-resizer {
    width: 3px; // EDS use 2px but then the handler becomes difficult to use it.
    visibility: hidden;
    background-color: ${r};
  }
  .BaseTable__column-resizer:hover {
    visibility: visible;
    opacity: 1;
  }
  .BaseTable__footer {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    background-color: ${e=>a(e).table.cell||l};
  }
  .BaseTable__resizing-line {
    cursor: col-resize;
    position: absolute;
    top: 0;
    background-color: ${r};
    width: 3px;
    transform: translateX(-100%);
  }
  .BaseTable__empty-layer {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    background-color: ${e=>a(e).table.cell||l};
  }
  .BaseTable__overlay {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    pointer-events: none;
  }
  .BaseTable__overlay > * {
    pointer-events: auto;
  }
  /* END => react-base-table/styles.css */

  &.BaseTable {
    box-shadow: none;
  }
  .BaseTable__table {
    outline: none;
  }
  .BaseTable__header-row {
    border-bottom: 0;
  }
  .BaseTable__header-cell {
    font-size: 0.875rem;
    font-weight: bold;
    text-align: left;
    padding: 1rem;
    line-height: 1.25rem;
    background-color: ${e=>a(e).table.header||o};
    border-bottom: 2px solid
      ${e=>a(e).disabled.border||i};
  }
  .BaseTable__header-cell--sorting {
    color: ${e=>a(e).primary.main||b};
    background-color: ${e=>a(e).table.headerActive||c};
    border-bottom-color: ${e=>a(e).primary.main||b};
  }
  .BaseTable__header-cell--selectable {
    padding-left: 0 !important;
  }
  .BaseTable__row {
    min-height: ${({rowHeight:e})=>e}px;
  }
  .BaseTable__row--stripped {
    background-color: ${e=>a(e).table.header||o};
  }
  .BaseTable__row--selected {
    background-color: ${e=>a(e).table.cellActive||h};
  }
  .BaseTable__row:hover {
    background-color: ${e=>a(e).table.cellHover||s};
  }
  .BaseTable__row--clickable {
    cursor: pointer;
  }
  .BaseTable__row-cell {
    padding: 1rem;
    line-height: 1.25rem;
  }
  .BaseTable__row-cell:first-child {
    &.BaseTable__row-cell--expandable {
      padding-left: 10px;
    }
  }
  .BaseTable__row-cell--selectable {
    padding-left: 0 !important;
  }
  .BaseTable__row-cell--draggable {
    padding-left: 7.5px !important;
  }
  .BaseTable__row--draggable-element {
    left: 0 !important;
    margin-top: -15px;
  }

  /* Depth rows */
  .BaseTable__row--depth-1 {
    padding: 0 10px;
  }
  .BaseTable__row--depth-2 {
    padding: 0 20px;
  }
  .BaseTable__row--depth-3 {
    padding: 0 30px;
  }
  .BaseTable__row--depth-4 {
    padding: 0 40px;
  }
  .BaseTable__row--depth-5 {
    padding: 0 50px;
  }
  .BaseTable__row--custom-expander {
    &.BaseTable__row--depth-1,
    &.BaseTable__row--depth-2,
    &.BaseTable__row--depth-3,
    &.BaseTable__row--depth-4,
    &.BaseTable__row--depth-5 {
      padding: 0;
      &:hover {
        background-color: initial;
      }
    }
  }
`,B=t.div`
  ${d};
  ${n};
  padding: 30px;
`;export{T as BaseTable,B as ExpandContainer};
