/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as d}from"react/jsx-runtime";import W from"clsx";import j,{useRef as x}from"react";import{Transition as F}from"react-transition-group";import p from"styled-components";import{layout as I}from"styled-system";import"../../BaseIcon/BaseIcon.js";import"date-fns";import"date-fns/locale/en-US";import"date-fns/locale/nb";import M from"../../utils/useForkRef/useForkRef.js";import"color";import{getTransitionDuration as g}from"../utils.js";const S=p.div`
  height: 0;
  overflow: hidden;
  transition: height 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  &.is-horizontal {
    height: "auto";
    width: 0;
    transition: width 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  }
  &.is-hidden {
    visibility: hidden;
  }
  &.has-entered {
    height: auto;
    overflow: visible;
    &.is-horizontal {
      width: auto;
    }
  }
  ${I};
`,k=p.div`
  display: flex;
  width: 100%;
  &.is-horizontal {
    width: auto;
    height: 100%;
  }
`,q=p.div`
  width: 100%;
  &.is-horizontal {
    width: auto;
    height: 100%;
  }
`,A=j.forwardRef(function({children:E,orientation:w="vertical",appear:y=!0,in:c,timeout:h=300,onEnter:u=void 0,onEntering:l=void 0,onEntered:z=void 0,onExit:f=void 0,onExiting:b=void 0,onExited:R=void 0,...$},D){const e=w==="horizontal",s=e?"width":"height",a=x(null),H=M(D,a),n=x(null),r=(i,t)=>{if(i){const o=a.current;t===void 0?i(o):i(o,t)}},v=()=>n.current?n.current[e?"clientWidth":"clientHeight"]:0;return d(F,{nodeRef:a,appear:y,in:c,onEnter:(i,t)=>{r((o,m)=>{n.current&&e&&(n.current.style.position="absolute"),o.style[s]="0px",u&&u(o,m)},t)},onEntered:(i,t)=>{r(z,t)},onEntering:(i,t)=>{r((o,m)=>{const N=v();n.current&&e&&(n.current.style.position="");const T=g(h,"enter");o.style.transitionDuration=`${T}ms`,o.style[s]=`${N}px`,l&&l(o,m)},t)},onExit:()=>{r(i=>{i.style[s]=`${v()}px`,f&&f(i)})},onExited:()=>{r(R)},onExiting:()=>{r(i=>{const t=g(h,"enter");i.style.transitionDuration=`${t}ms`,i.style[s]="0px",b&&l(i)})},timeout:h,...$,children:i=>d(S,{ref:H,className:W(e&&"is-horizontal",i==="exited"&&!c&&"is-hidden",i==="entered"&&"has-entered"),minWidth:e?"0px":void 0,minHeight:e?void 0:"0px",children:d(k,{ref:n,children:d(q,{children:E})})})})});export{A as default};
