/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{Typography as p}from"@equinor/eds-core-react";import t from"styled-components";import{compose as e,space as i,color as n,typography as s,layout as y,flexbox as m,background as c,border as l,position as d,shadow as g}from"styled-system";import{black as $,primary as a,success as f,warning as h,danger as x,disabledText as b}from"../../utils-styles/colors.js";import{pallette as r}from"../../utils-styles/pallette.js";const w=t(p)`
  position: relative;
  font-family: "Equinor";
  color: ${o=>r(o).text?.main||$};
  ${({textTransform:o})=>o&&`text-transform: ${o}`};
  ${({wordWrap:o})=>o&&`word-wrap: ${o}`};
  ${e(i,n,s,y,m,c,l,d,g)};
  &.opt-typography--primary {
    color: ${o=>r(o).primary?.main||a};
  }
  &.opt-typography--secondary {
    color: ${o=>r(o).secondary?.main||a};
  }
  &.opt-typography--success {
    color: ${o=>r(o).success?.main||f};
  }
  &.opt-typography--warning {
    color: ${o=>r(o).warning?.main||h};
  }
  &.opt-typography--danger {
    color: ${o=>r(o).danger?.main||x};
  }
  &.opt-typography--disabled {
    color: ${o=>r(o).disabled?.text||b};
  }
  ${({css:o})=>o};
`;export{w as BaseTypography};
