export declare const alpha: (color: string, alphaColor: number) => string;
export declare const primary = "#007079";
export declare const primaryHover = "#004f55";
export declare const primaryHoverAlt = "#deedee";
export declare const primaryHighlight = "#E6FAEC";
export declare const primaryHighlightHover = "#C3F3D2";
export declare const primaryDark = "#97CACE";
export declare const primaryHoverDark = "#ADE2E6";
export declare const primaryHoverAltDark = "rgba(173, 226, 230, 0.1)";
export declare const secondary = "#243746";
export declare const secondaryHover = "#18252f";
export declare const secondaryHighlight = "#D5EAF4";
export declare const secondaryDark = "#DEE5E7";
export declare const secondaryHoverDark = "#FFFFFF";
export declare const secondaryHighlightDark = "rgba(255, 255, 255, 0.1)";
export declare const danger = "#EB0000";
export declare const dangerHover = "#B30D2F";
export declare const dangerText = "#B30D2F";
export declare const dangerHighlight = "#FFC1C1";
export declare const dangerDark = "#EB0000";
export declare const dangerHoverDark = "#FF949B";
export declare const dangerTextDark = "#FF6670";
export declare const dangerHighlightDark = "rgba(255, 102, 112, 0.1)";
export declare const warning = "#FF9200";
export declare const warningHover = "#AD6200";
export declare const warningText = "#AD6200";
export declare const warningHighlight = "#FFE7D6";
export declare const warningDark = "#FF9200";
export declare const warningHoverDark = "#FFDAA8";
export declare const warningTextDark = "#FFC67A";
export declare const warningHighlightDark = "rgba(255, 198, 122, 0.1)";
export declare const success = "#4BB748";
export declare const successHover = "#358132";
export declare const successText = "#358132";
export declare const successHighlight = "#E6FAEC";
export declare const successDark = "#4BB748";
export declare const successHoverDark = "#C1E7C1";
export declare const successTextDark = "#A1DAA0";
export declare const successHighlightDark = "rgba(161, 218, 160, 0.1)";
export declare const disabledFill = "#EAEAEA";
export declare const disabledBorder = "#DCDCDC";
export declare const disabledText = "#BEBEBE";
export declare const disabledFillDark = "#344450";
export declare const disabledBorderDark = "#405462";
export declare const disabledTextDark = "#637583";
export declare const textTertiaryDark = "#9CA6AC";
export declare const backgroundDark = "#132634";
export declare const backgroundOverlayDark = "#2E3F4D";
export declare const backgroundStickyDark = "#364855";
export declare const backgroundNavDark = "#3E4F5C";
export declare const tableHeaderFillHoverDark = "#324D62";
export declare const tableCellFillHoverDark = "#1E3C52";
export declare const energeticred = "#eb0037";
export declare const energeticredHover = "#b30d2f";
export declare const energeticred55 = "#ff7d98";
export declare const energeticred34 = "#ffaebf";
export declare const energeticred21 = "#ffcdd7";
export declare const energeticred13 = "#ffe0e7";
export declare const mossgreen = "#007079";
export declare const mossgreen55 = "#73b1b5";
export declare const mossgreen34 = "#a8ced1";
export declare const mossgreen21 = "#c9e0e2";
export declare const mossgreen13 = "#deedee";
export declare const weathered = "#7d0023";
export declare const slateblue = "#243746";
export declare const mistblue = "#d5eaf4";
export declare const mistblue21 = "rgba(213,234,244,0.21)";
export declare const mistblue34 = "#f7fafc";
export declare const sprucewood = "#ffe7d6";
export declare const lichengreen = "#e6faec";
export declare const orange = "#FF9200";
export declare const red = "#F8434C";
export declare const yellow = "#FFDF7F";
export declare const iwitRed = "#fc0006";
export declare const iwitYellow = "#FBCA36";
export declare const iwitOrange = "#FF9200";
export declare const limeDark = "#95A028";
export declare const timpOrange = "#E57E00";
export declare const concurrencyYellow = "#C7A600";
export declare const black = "#000000";
export declare const black8 = "rgba(0,0,0,0.8)";
export declare const black74 = "rgba(0,0,0,0.74)";
export declare const black40 = "rgba(0,0,0,0.4)";
export declare const black28 = "rgba(0,0,0,0.28)";
export declare const black15 = "rgba(0,0,0,0.15)";
export declare const black10 = "rgba(0,0,0,0.1)";
export declare const black5 = "rgba(0,0,0,0.05)";
export declare const black3 = "rgba(0,0,0,0.03)";
export declare const black1 = "rgba(0,0,0,0.01)";
export declare const white = "#ffffff";
export declare const white74 = "rgba(255,255,255,0.74)";
export declare const white40 = "rgba(255,255,255,0.4)";
export declare const white16 = "rgba(255,255,255,0.16)";
export declare const white2 = "rgba(255,255,255,0.02)";
export declare const grey = "#171717";
export declare const grey90 = "#333333";
export declare const grey80 = "#3d3d3d";
export declare const grey70 = "#565656";
export declare const grey60 = "#666666";
export declare const grey50 = "#6f6f6f";
export declare const grey40 = "#8c8c8c";
export declare const grey30 = "#bebebe";
export declare const grey20 = "#dcdcdc";
export declare const grey15 = "#eaeaea";
export declare const grey10 = "#f7f7f7";
export declare const transparent = "transparent";
export declare const purpleBerry = "#8c1159";
export declare const pinkRose = "#e24973";
export declare const pinkSalmon = "#ff92a8";
export declare const greenCucumber = "#005f57";
export declare const greenSucculent = "#00977b";
export declare const greenMint = "#40d38f";
export declare const blueOcean = "#004088";
export declare const blueOvercast = "#0084c4";
export declare const blueSky = "#52c0ff";
