import React from "react";
import type { BaseIconComponent } from "../../BaseIcon";
type SvgIconType = {
    name?: string;
    prefix?: string;
    width: string | number;
    height: string | number;
    svgPathData: string;
};
type SvgIconProps = SvgIconType & {
    sizes?: {
        small: SvgIconType;
    };
};
export default function createSvgIcon({ width, height, svgPathData, }: SvgIconProps): React.MemoExoticComponent<BaseIconComponent>;
export {};
