import type { DeviceDetectorElement } from "./deviceDetector.types";
/**
 * Check if a haystack includes a needle.
 *
 * @param haystack
 * @param needle
 * @returns true if the haystack includes the needle, false otherwise.
 */
export declare function includes(haystack: string, needle: string): boolean;
/**
 * Find a needle in the window navigator object.
 *
 * @param needle
 * @returns true if the window navigation object contains the needle, false otherwise.
 */
export declare function find(needle: string): boolean;
declare const deviceDetector: DeviceDetectorElement;
export default deviceDetector;
