/**
 * Hook to check if the component is in his first render.
 *
 * @example element based event
 * function Component() {
 *    const isFirstRender = useIsFirstRender()
 *    ...
 * }
 */
export default function useIsFirstRender(): boolean;
