"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var o=require("styled-components"),r=require("../../utils-styles/colors.js"),l=require("../../utils-styles/pallette.js"),a=o.css`
  border-width: 1px;
  border-style: solid;
  color: ${e=>l.pallette(e).text?.main||r.black};
  &.opt-alert--info {
    background-color: ${r.alpha(r.blueSky,.2)};
    border-color: ${r.blueSky};
    .opt-alert__icon {
      color: ${r.blueSky};
    }
    .opt-alert__close-btn {
      color: ${r.blueSky};
      &:hover {
        background-color: ${r.alpha(r.blueSky,.2)};
      }
    }
  }
  &.opt-alert--success {
    background-color: ${e=>l.pallette(e).success?.highlight||r.successHighlight};
    border-color: ${e=>l.pallette(e).success?.main||r.success};
    .opt-alert__close-btn {
      color: ${e=>l.pallette(e).success?.main||r.success};
      &:hover {
        background-color: ${e=>r.alpha(l.pallette(e).success?.hover||r.successHover,.1)};
      }
    }
  }
  &.opt-alert--warning {
    background-color: ${e=>l.pallette(e).warning?.highlight||r.warningHighlight};
    border-color: ${e=>l.pallette(e).warning?.main||r.warning};
    .opt-alert__close-btn {
      color: ${e=>l.pallette(e).warning?.main||r.warning};
      &:hover {
        background-color: ${e=>r.alpha(l.pallette(e).warning?.hover||r.warningHover,.1)};
      }
    }
  }
  &.opt-alert--error {
    background-color: ${e=>l.pallette(e).danger?.highlight||r.dangerHighlight};
    border-color: ${e=>l.pallette(e).danger?.main||r.danger};
    .opt-alert__icon {
      color: ${e=>l.pallette(e).danger?.main||r.danger};
    }
    .opt-alert__close-btn {
      color: ${e=>l.pallette(e).danger?.main||r.danger};
      &:hover {
        background-color: ${e=>r.alpha(l.pallette(e).danger?.hover||r.dangerHover,.1)};
      }
    }
  }
`;exports.default=a;
