"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var l=require("styled-components"),t=require("styled-system"),i=require("../../utils-styles/colors.js"),a=require("../../utils-styles/pallette.js");function o(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var r=o(l);const s=r.default.header`
  /* EDS styles */
  height: 64px;
  box-sizing: border-box;
  display: grid;
  grid-column-gap: 24px;
  grid-template-columns: auto 1fr auto;
  grid-template-areas: "left center right";
  align-items: center;
  padding-left: 24px;
  padding-top: 8px;
  padding-right: 24px;
  padding-bottom: 8px;
  margin: 0;
  font-family: Equinor;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1em;
  letter-spacing: 0.013em;
  text-align: left;
  position: sticky;
  top: 0;
  z-index: 1100;

  /* custom styles */
  display: flex;
  background: ${e=>a.pallette(e).background?.main||i.white};
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: ${e=>a.pallette(e).disabled?.border||i.grey20};
  box-sizing: border-box;
  ${t.compose(t.space,t.color,t.background,t.border,t.position,t.shadow)}
  ${({css:e})=>e};
`,d=r.default.div`
  /* EDS styles */
  grid-area: left;
  display: grid;
  grid-template-columns: auto auto;
  grid-gap: 12px;
  align-items: center;

  /* Custom styles */
  display: flex;
  flex: 1;
  justify-content: flex-start;
`,n=r.default.div`
  /* EDS styles */
  grid-area: left;

  /* Custom styles */
  display: flex;
  flex: 2;
  justify-content: center;
`,p=r.default.div`
  /* EDS styles */
  grid-area: right;
  text-align: right;
  align-items: center;
  display: flex;

  /* Custom styles */
  display: flex;
  flex: 1;
  justify-content: flex-end;
`,g=r.default.div`
  display: flex;
  align-items: center;
  gap: 10px;
`;exports.ActionsBlock=g,exports.AppBarActions=p,exports.AppBarContent=n,exports.AppBarHeader=d,exports.BaseAppBar=s;
