"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var i=require("styled-components"),e=require("styled-system"),r=require("../../utils-styles/colors.js"),o=require("../../utils-styles/pallette.js");function n(t){return t&&typeof t=="object"&&"default"in t?t:{default:t}}var a=n(i);const l=a.default.div`
  position: relative;
  display: inline-flex;
  vertical-align: middle;
  flex-shrink: 0;
`,p=a.default.span`
  font-family: "Equinor";
  font-weight: 500;
  font-size: 0.75rem;
  position: absolute;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;
  align-items: center;
  box-sizing: border-box;
  min-width: 20px;
  height: 20px;
  line-height: 1;
  padding: 0px 6px;
  border-radius: 10px;
  z-index: 1;
  background-color: ${t=>o.pallette(t).warning?.main||r.warning};
  color: ${t=>o.pallette(t).warning?.text||r.warningText};
  &.opt-badge--dot {
    height: 8px;
    padding: 0;
    min-width: 8px;
    border-radius: 4px;
  }
  &.opt-badge--top-left {
    top: 0;
    left: 0;
    transform: scale(1) translate(-50%, -50%);
    transform-origin: 0% 0%;
    &.opt-badge--overlap-circle {
      top: 14%;
      left: 14%;
    }
  }
  &.opt-badge--top-right {
    top: 0;
    right: 0;
    transform: scale(1) translate(50%, -50%);
    transform-origin: 100% 0%;
    &.opt-badge--overlap-circle {
      top: 14%;
      right: 14%;
    }
  }
  &.opt-badge--bottom-left {
    left: 0;
    bottom: 0;
    transform: scale(1) translate(-50%, 50%);
    transform-origin: 0% 100%;
    &.opt-badge--overlap-circle {
      left: 14%;
      bottom: 14%;
    }
  }
  &.opt-badge--bottom-right {
    right: 0;
    bottom: 0;
    transform: scale(1) translate(50%, 50%);
    transform-origin: 100% 100%;
    &.opt-badge--overlap-circle {
      right: 14%;
      bottom: 14%;
    }
  }
  ${e.compose(e.color,e.typography,e.layout,e.background,e.border,e.position,e.shadow)};
  ${({css:t})=>t};
`;exports.BaseBadge=p,exports.Container=l;
