"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var d=require("styled-components"),e=require("styled-system"),o=require("../../utils-styles/colors.js"),i=require("../../utils-styles/pallette.js"),a=require("./ButtonContained.js"),p=require("./ButtonGhost.js"),u=require("./ButtonOutlined.js");function s(t){return t&&typeof t=="object"&&"default"in t?t:{default:t}}var n=s(d);const l=n.default.button.withConfig({shouldForwardProp:(t,r)=>!["loading"].includes(t)&&r(t)})`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  align-items: center;
  min-width: 36px;
  min-height: 36px;
  width: fit-content;
  ${({fullWidth:t})=>t&&"width: 100%"};
  padding: 5px 15px;
  box-sizing: border-box;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  border-radius: 4px;
  appearance: none;
  outline: 0;
  justify-content: center;
  text-decoration: none;
  user-select: none;
  border: 0;
  cursor: pointer;
  overflow: hidden;
  font-weight: 500;
  border-width: 1px;
  border-style: solid;
  &.opt-button--rounded {
    width: 40px;
    height: 40px;
    padding: 0;
    border-radius: 100%;
  }
  &.opt-button--compact {
    min-width: 24px;
    min-height: 24px;
    &.opt-button--rounded {
      width: 32px;
      height: 32px;
    }
  }
  &.opt-button--contained {
    ${a.default};
  }
  &.opt-button--outlined {
    ${u.default};
  }
  &.opt-button--ghost {
    ${p.default};
  }
  &.opt-button--primary {
    &:focus-visible {
      outline: 1px dashed
        ${t=>i.pallette(t).primary?.main||o.primary};
      outline-offset: 2px;
    }
  }
  &.opt-button--secondary {
    &:focus-visible {
      outline: 1px dashed
        ${t=>i.pallette(t).secondary?.main||o.secondary};
      outline-offset: 2px;
    }
  }
  &.opt-button--danger {
    &:focus-visible {
      outline: 1px dashed
        ${t=>i.pallette(t).danger?.main||o.danger};
      outline-offset: 2px;
    }
  }
  &&& {
    ${e.compose(e.space,e.typography,e.layout,e.flexbox,e.background,e.border,e.position,e.shadow)};
  }
  &:disabled {
    cursor: not-allowed;
    color: ${t=>i.pallette(t).disabled?.text||o.disabledText} !important;
  }
  ${({loading:t})=>t&&"pointer-events: none"};
  &&&& {
    ${({css:t})=>t};
  }
`,h=n.default.span`
  display: inherit;
  &.opt-button__start-icon {
    margin-right: 8px;
  }
  &.opt-button__end-icon {
    margin-left: 8px;
  }
  &.opt-button__icon {
    ${e.space};
    .opt-icon {
      display: flex;
      width: 18px;
      height: 18px;
      ${e.width};
      ${e.height};
      & > svg {
        width: 18px;
        height: 18px;
        ${e.width};
        ${e.height};
      }
    }
    &--compact {
      .opt-icon {
        width: 16px;
        height: 16px;
        ${e.width};
        ${e.height};
        & > svg {
          width: 16px;
          height: 16px;
          ${e.width};
          ${e.height};
        }
      }
    }
  }
`;exports.BaseButton=l,exports.ButtonIcon=h;
