"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var o=require("styled-components"),e=require("styled-system"),t=require("../../utils-styles/colors.js"),a=require("./ChipDefault.js"),l=require("./ChipError.js"),n=require("./ChipSelected.js"),p=require("./ChipWarning.js");function d(r){return r&&typeof r=="object"&&"default"in r?r:{default:r}}var i=d(o);const s=i.default.div`
  font-family: "Equinor";
  font-size: 0.75rem;
  line-height: 1.333rem;
  font-weight: 500;
  position: relative;
  display: inline-flex;
  align-items: center;
  width: fit-content;
  min-height: 24px;
  padding: 0 8px;
  border-width: 1px;
  border-style: solid;
  border-color: transparent;
  border-radius: 100px;
  &.opt-chip--default {
    ${a.default};
  }
  &.opt-chip--selected {
    ${n.default};
  }
  &.opt-chip--warning {
    ${p.default};
  }
  &.opt-chip--error {
    ${l.default};
  }
  &.is-clickable {
    cursor: pointer;
  }
  overflow: hidden;
  &.opt-chip {
    ${e.compose(e.space,e.typography,e.layout,e.flexbox,e.background,e.border,e.position,e.shadow)};
    ${({css:r})=>r};
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    color: ${t.grey30};
    background-color: ${t.grey10};
  }
`,u=i.default.span`
  display: inline-flex;
  height: 100%;
  align-items: center;
  ${e.space};
  > span > svg {
    width: 16px;
    height: 16px;
  }
`,h=i.default.span`
  flex: 1;
  line-height: 1rem;
`;exports.BaseChip=s,exports.ChipAdornment=u,exports.ChipText=h;
