"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var e=require("react/jsx-runtime"),A=require("prop-types"),l=require("react"),F=require("styled-components"),x=require("../../Button/Button.js"),E=require("../../ButtonGroup/ButtonGroup.js");require("../../BaseIcon/BaseIcon.js"),require("date-fns"),require("date-fns/locale/en-US"),require("date-fns/locale/nb");var G=require("../../utils/generateUID/generateUID.js");require("color");var H=require("../../utils-icons/Calendar.js"),K=require("../../utils-icons/Time.js"),D=require("../utils/helpers.js"),L=require("./CalendarBody.js"),M=require("./CalendarHeader.js"),U=require("./CalendarTime.js"),V=require("./context.js");function y(r){return r&&typeof r=="object"&&"default"in r?r:{default:r}}var a=y(A),X=y(l),u=y(F);const Y=u.default.div`
  position: relative;
  min-width: 280px;
  max-width: ${({nDisplays:r=1})=>280*r}px;
`,Z=u.default.div`
  display: flex;
`,z=u.default.div`
  flex: 1;
  margin-left: 10px;
  &:first-child {
    margin-left: 0;
  }
`,J=u.default.div`
  display: flex;
  justify-content: flex-end;
`,h=r=>{const{className:w,nDisplays:s,type:o,showToday:j,todayText:b,showTime:n,showWeekNumber:C,initialDate:i,rowProps:T,rowClassNames:N,cellProps:P,cellClassNames:g,onSelectDate:_,onChange:d,disabledDates:k,footer:R}=r,[v]=l.useState(G.default()),[f,c]=l.useState(0),[S,W]=l.useState(D.getInitialDate(i)),[p,q]=l.useState(i),$=D.getDisabledDates(o,k),m=o==="time";l.useEffect(()=>{q(i)},[i]);const I=t=>{W(t)},O=t=>{q(t),_(t),n?c(1):d&&d(t)},B=()=>{d&&d(p),c(0)};return e.jsx(V.DatePickerContext.Provider,{value:{uid:v,nDisplays:s,type:o,showToday:j,todayText:b,showWeekNumber:C,actualDate:S,selectedDate:p,updateActualDate:I,updateSelectedDate:O,isDisabledDate:$},children:e.jsxs(Y,{className:w,nDisplays:s,children:[!m&&n&&e.jsxs(E.default,{fullWidth:!0,active:f,onChange:({index:t})=>c(t),mb:10,children:[e.jsx(x.default,{startIcon:e.jsx(H.default,{}),children:"Date"}),e.jsx(x.default,{startIcon:e.jsx(K.default,{}),disabled:!p,children:"Time"})]}),!m&&f===0&&e.jsx(Z,{children:[...Array(s).keys()].map(t=>e.jsx(X.default.Fragment,{children:e.jsxs(z,{children:[e.jsx(M.default,{display:t}),e.jsx(L.default,{display:t,rowProps:T,rowClassNames:N,cellProps:P,cellClassNames:g})]})},`calendar-${v}--${t}`))}),(m||f===1)&&e.jsx(U.default,{}),R,n&&e.jsx(J,{children:e.jsx(x.default,{fullWidth:s===1,onClick:B,mt:10,children:"OK"})})]})})};h.propTypes={nDisplays:a.default.number.isRequired,type:a.default.oneOf(["date","week","month","quarter","year","time"]).isRequired,showToday:a.default.bool.isRequired,todayText:a.default.string,showTime:a.default.bool.isRequired,showWeekNumber:a.default.bool.isRequired,initialDate:a.default.instanceOf(Date),rowProps:a.default.func,rowClassNames:a.default.func,cellProps:a.default.func,cellClassNames:a.default.func,onSelectDate:a.default.func.isRequired,onChange:a.default.func,disabledDates:a.default.func,footer:a.default.element},h.defaultProps={initialDate:null,todayText:"Today",rowProps:()=>{},rowClassNames:()=>{},cellProps:()=>{},cellClassNames:()=>{},disabledDates:null,footer:void 0},exports.default=h;
