"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var n=require("react/jsx-runtime"),R=require("clsx"),r=require("date-fns"),w=require("react"),z=require("styled-components"),p=require("../../utils-styles/colors.js"),D=require("../../utils-styles/pallette.js"),o=require("../utils/helpers.js"),m=require("./CalendarCell.js"),B=require("./context.js");function y(s){return s&&typeof s=="object"&&"default"in s?s:{default:s}}var x=y(R),E=y(w),b=y(z);const G=b.default.div`
  display: flex;
  flex-direction: row;
  ${({type:s})=>s!=="date"&&"flex-wrap: wrap"};
`,J=b.default.table`
  width: 100%;
  border-collapse: collapse;
  tr:first-child {
    .is-weekend:first-child {
      border-top-left-radius: 4px;
    }
    .is-weekend:last-child {
      border-top-right-radius: 4px;
    }
  }
  tr:last-child {
    .is-weekend:first-child {
      border-bottom-left-radius: 4px;
    }
    .is-weekend:last-child {
      border-bottom-right-radius: 4px;
    }
  }
`,_=b.default.tr`
  &.week {
    button {
      pointer-events: none;
    }
    &.is-active,
    &.is-range {
      background-color: ${s=>D.pallette(s).primary.highlight||p.primaryHighlight} !important;
      td.is-weekend {
        background-color: transparent;
      }
      .opt-button {
        color: ${s=>s.theme?.mode==="dark"?p.black:p.primary} !important;
      }
    }
    &:hover {
      cursor: pointer;
      background-color: ${s=>D.pallette(s).primary.hoverAlt||p.primaryHoverAlt};
    }
    &.is-active,
    &:hover {
      td {
        background-color: transparent !important;
      }
    }
    &[disabled] {
      cursor: not-allowed;
    }
  }
`,L=s=>{const{display:i,rowProps:O,rowClassNames:$,cellProps:j,cellClassNames:q}=s,{uid:k,type:t,showWeekNumber:M,actualDate:c,selectedDate:h,updateSelectedDate:v,isDisabledDate:u}=w.useContext(B.DatePickerContext),S=t==="date"||t==="week",g=t==="week"||t==="date"&&M,Y=w.useMemo(()=>{switch(t){case"month":{const e=r.addYears(c,i).getFullYear(),d=o.getMonthNames();return o.chunkArray(d.reduce((a,l)=>{const f=new Date(`${e}-${d.indexOf(l)+1}`);return a.push(f),a},[]),3)}case"quarter":{const e=r.addYears(c,i).getFullYear(),d=r.eachQuarterOfInterval({start:new Date(`${e}`),end:new Date(`${e}-12-31`)});return o.chunkArray(d,4)}case"year":{const e=r.startOfDecade(r.addYears(r.endOfDecade(c),i*10)),d=r.startOfDecade(e),a=r.endOfDecade(e),l=r.eachYearOfInterval({start:r.endOfDecade(r.subYears(d,1)),end:r.startOfDecade(r.addYears(a,1))});return o.chunkArray(l,3)}default:{const e=r.addMonths(c,i);return r.eachWeekOfInterval({start:r.startOfMonth(e),end:r.endOfMonth(e)},{weekStartsOn:1}).reduce((d,a)=>{const l=[];for(let f=0,Q=7;f<Q;f++){const H=r.addDays(a,f);l.push(H)}return d.push(l),d},[])}}},[i,t,c]),C=e=>()=>{t==="week"&&v(e)},N=e=>()=>{v(e)},W=e=>{switch(t){case"month":return o.getMonthNames()[e.getMonth()];case"quarter":return o.getQuarterNames()[r.getQuarter(e)-1];case"year":return e.getFullYear();default:return e.getDate()}},A=e=>{switch(t){case"month":return r.isSameMonth(e,h);case"quarter":return r.isSameQuarter(e,h);case"year":return r.isSameYear(e,h);case"date":return r.isSameDay(e,h);default:return!1}},F=e=>t==="week"?r.isSameWeek(e,h,{weekStartsOn:1}):!1,I=e=>{if(t==="date"||t==="week"){const d=r.addMonths(c,i);return!r.isSameMonth(e,d)}return!1},P=e=>{if(t==="year"){const d=r.startOfDecade(r.addYears(r.endOfDecade(c),i*10));return r.getDecade(e)!==r.getDecade(d)}return!1};return n.jsx(G,{type:t,children:n.jsxs(J,{children:[S&&n.jsx("thead",{children:n.jsxs(_,{children:[g&&n.jsx(m.default,{}),o.getWeeks().map((e,d)=>n.jsx(m.default,{children:e},`calendar-body__${k}__header-cell--${d}`))]})}),n.jsx("tbody",{children:Y.map((e,d)=>n.jsx(_,{className:x.default(t,F(e[0])&&"is-active",$(e[0],u(e[0]))),onClick:C(e[0]),disabled:u(e[0]),...O(e[0],u(e[0])),children:e.map((a,l)=>n.jsxs(E.default.Fragment,{children:[g&&l===0&&n.jsx(m.default,{children:r.getISOWeek(a,{weekStartsOn:1,firstWeekContainsDate:4})}),n.jsx(m.default,{className:x.default(t,A(a)&&"is-active",r.isWeekend(a)&&"is-weekend",I(a)&&"is-different-month",P(a)&&"is-different-decade",q(a,u(a))),type:t,date:a,onClick:N(a),disabled:u(a),...j(a,u(a)),children:W(a)})]},`calendar-body__${k}__row-cell--${l}`))},`calendar-body__${k}__row--${d}`))})]})})};exports.default=L;
