"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var a=require("react/jsx-runtime"),g=require("date-fns"),m=require("styled-components"),f=require("../../Button/Button.js"),t=require("../../utils-styles/colors.js"),r=require("../../utils-styles/pallette.js");function b(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var x=b(m);const n=x.default.td`
  flex: 1;
  width: 32px;
  height: 32px;
  line-height: 32px;
  text-align: center;
  font-size: 0.625rem;
  color: ${e=>r.pallette(e).text.tertiary||t.grey50};
  &.date,
  &.week {
    &.is-weekend {
      background-color: ${e=>r.pallette(e).background.lighten||t.grey10};
    }
    &.is-different-month {
      color: ${e=>r.pallette(e).disabled.text||t.disabledText} !important;
      .opt-button {
        color: ${e=>r.pallette(e).disabled.text||t.disabledText} !important;
      }
    }
  }
  &.year {
    &.is-different-decade {
      .opt-button {
        color: ${e=>r.pallette(e).disabled.text||t.disabledText} !important;
      }
    }
  }
  &.is-active,
  &.is-range {
    border-radius: 4px;
    background-color: ${e=>r.pallette(e).primary.highlight||t.primaryHighlight} !important;
    .opt-button {
      color: ${e=>e.theme?.mode==="dark"?t.black:t.primary} !important;
    }
    &:hover {
      background-color: ${e=>r.pallette(e).primary.highlightHover||t.primaryHighlightHover} !important;
    }
  }
`,y=e=>{const{className:c,children:l,type:o,date:p,onClick:d,disabled:s,...u}=e,h=typeof d=="function",i=()=>o==="date"||o==="week"?"32px":"100%";return h?a.jsx(n,{className:c,...u,children:a.jsx(f.default,{variant:g.isToday(p)?"outlined":"ghost",minWidth:"inherit",width:i(),height:i(),minHeight:i(),fullWidth:!0,onClick:d,disabled:s,children:l})}):a.jsx(n,{children:l})};exports.default=y;
