"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var a=require("react/jsx-runtime"),w=require("clsx"),I=require("prop-types"),N=require("react"),$=require("styled-components"),F=require("../Button/Button.js"),_=require("../Input/Input.js"),P=require("../utils-icons/Calendar.js"),S=require("../utils-icons/Clear.js"),z=require("../utils-styles/colors.js"),A=require("../utils-styles/pallette.js");function p(t){return t&&typeof t=="object"&&"default"in t?t:{default:t}}var E=p(w),e=p(I),M=p(N),h=p($);const T=h.default.div`
  display: flex;
  > div:first-child {
    margin-right: 10px;
  }
`,W=h.default.span`
  margin: 0 10px;
  white-space: nowrap;
  flex: 0 !important;
`,O=h.default(_.default)`
  .opt-input {
    outline: none;
  }
  &.focus:before {
    content: "";
    position: absolute;
    bottom: 0;
    height: 2px;
    background-color: ${t=>A.pallette(t).primary.main||z.primary};
    width: ${({inputFocusWidth:t})=>t};
    margin-left: ${({inputFocusMl:t})=>t};
    z-index: 1;
  }
`,C=M.default.forwardRef(function(t,m){const{className:q,allowClear:D,separator:k,nInputs:g,focusInput:l,placeholderStartDate:n,placeholderEndDate:d,startDate:s,endDate:o,onClickClear:x,onClickStartDate:c,onClickEndDate:b,startDateInputProps:v,endDateInputProps:R,...i}=t,u=!!i.disabled,j=r=>y=>{x&&x(r,y)},f=r=>D&&(r===-1&&s&&o||r===1&&s||r===2&&o)?a.jsx(F.default,{variant:"ghost",startIcon:a.jsx(S.default,{}),iconSize:16,width:"32px",minWidth:"32px",height:"32px",minHeight:"32px",onClick:j(r),"aria-label":"Close date range picker"}):a.jsx(P.default,{size:16,mr:"10px",onClick:r===-1?c:null});return g<=1?a.jsxs(O,{ref:m,className:E.default(q,(l===1||l===2)&&"focus"),endAdornment:f(-1),disabled:u,...v,...i,inputFocusWidth:`calc(${i.width} / 2)`,inputFocusMl:l===2?`calc(${i.width} / 2)`:"0",children:[a.jsx("input",{className:"opt-datepicker__input__startDate",type:"text",value:s,placeholder:n,"aria-label":n,onClick:c,onChange:()=>{},disabled:u}),a.jsx(W,{className:"opt-datepicker__input--separator",children:k}),a.jsx("input",{className:"opt-datepicker__input__endDate",type:"text",value:o,placeholder:d,"aria-label":d,onClick:b,onChange:()=>{},disabled:u})]}):a.jsxs(T,{ref:m,className:q,children:[a.jsx(_.default,{className:"opt-datepicker__input__startDate",endAdornment:f(1),value:s,placeholder:n,"aria-label":n,onClick:c,disabled:u,forceFocus:l===1,...v,...i}),a.jsx(_.default,{className:"opt-datepicker__input__endDate",endAdornment:f(2),value:o,placeholder:d,"aria-label":d,onClick:b,disabled:u,forceFocus:l===2,...R,...i})]})});C.propTypes={allowClear:e.default.bool.isRequired,nInputs:e.default.number.isRequired,focusInput:e.default.number.isRequired,separator:e.default.oneOfType([e.default.string,e.default.element]).isRequired,placeholderStartDate:e.default.string.isRequired,placeholderEndDate:e.default.string.isRequired,startDate:e.default.string.isRequired,endDate:e.default.string.isRequired,onClickClear:e.default.func.isRequired,onClickStartDate:e.default.func.isRequired,onClickEndDate:e.default.func.isRequired,startDateInputProps:e.default.object.isRequired,endDateInputProps:e.default.object.isRequired},exports.default=C;
