"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var o=require("styled-components"),r=require("styled-system"),t=require("../../utils-styles/colors.js"),a=require("../../utils-styles/pallette.js");function n(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var l=n(o);const i=l.default.a`
  position: relative;
  font-family: "Equinor";
  font-size: 1rem;
  color: ${e=>a.pallette(e).primary?.main||t.primary};
  appearance: none;
  border: 0;
  background: transparent;
  ${r.compose(r.space,r.color,r.typography,r.layout,r.flexbox,r.background,r.border,r.position,r.shadow)};
  &:focus-visible {
    outline: 1px dashed
      ${e=>a.pallette(e).primary?.main||t.primary};
    outline-offset: 2px;
  }
  &.opt-link--default {
    color: ${e=>a.pallette(e).text?.main||t.black};
  }
  &.opt-link--primary {
    color: ${e=>a.pallette(e).primary?.main||t.primary};
  }
  &.opt-link--secondary {
    color: ${e=>a.pallette(e).secondary?.main||t.primary};
  }
  &.opt-link--success {
    color: ${e=>a.pallette(e).success?.main||t.success};
  }
  &.opt-link--warning {
    color: ${e=>a.pallette(e).warning?.main||t.warning};
  }
  &.opt-link--danger {
    color: ${e=>a.pallette(e).danger?.main||t.danger};
  }
  &.opt-link--disabled {
    color: ${e=>a.pallette(e).disabled?.text||t.disabledText};
  }
  &.opt-link--underline-none {
    text-decoration: none;
  }
  &.opt-link--underline-always {
    text-decoration: underline;
  }
  &.opt-link--underline-hover {
    text-decoration: none;
    &:hover {
      text-decoration: underline;
    }
  }
  ${({css:e})=>e};
`;exports.BaseLink=i;
