import type { InputProps } from "../Input";
export interface PasswordProps extends InputProps {
    /**
     * Specifies the initial state: whether or not the password field is visible.
     * @default false
     */
    defaultVisible?: boolean;
    /**
     * If `true`, the password field is visible.
     * @default undefined
     */
    visible?: boolean;
}
