"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var c=require("react/jsx-runtime"),h=require("react"),p=require("./ReactQuill.js"),i=require("./utils.js");function g(r){return r&&typeof r=="object"&&"default"in r?r:{default:r}}var s=g(h);const f=["id","className","style","placeholder","tabIndex","onChange","onChangeSelection","onFocus","onBlur","onKeyPress","onKeyDown","onKeyUp"],u=["modules","formats","container","children"];class C extends s.default.Component{reactQuillRef=s.default.createRef();lastDeltaChangeSet;regenerationSnapshot;constructor(e){super(e),this.state={generation:0}}componentDidMount(){this.reactQuillRef.current?.instantiateEditor(),this.reactQuillRef.current?.setEditorContents(this.reactQuillRef.current?.getEditorContents())}componentWillUnmount(){this.reactQuillRef.current?.destroyEditor()}componentDidUpdate(e,o){const t=this.reactQuillRef.current;if(!t)return;const n=t.getEditor();if(n&&this.shouldComponentRegenerate(e)){const a=n.getContents(),l=n.getSelection();this.regenerationSnapshot={delta:a,selection:l},this.setState(d=>({generation:d.generation+1})),t.destroyEditor()}if(this.state.generation!==o.generation){const{delta:a,selection:l}=this.regenerationSnapshot;delete this.regenerationSnapshot,t.instantiateEditor(),t.getEditor().setContents(a),i.postpone(()=>t.setEditorSelection(l))}}shouldComponentUpdate(e,o){this.validateProps(e);const t=this.reactQuillRef.current;if(!t||this.state.generation!==o.generation)return!0;if("value"in e){const n=t.getEditorContents(),a=e.value??"";i.isEqualValue(a,n)||t.setEditorContents(a)}return e.readOnly!==this.props.readOnly&&t.setEditorReadOnly(e.readOnly),[...f,...u].some(n=>!i.isEqual(e[n],this.props[n]))}shouldComponentRegenerate(e){return u.some(o=>!i.isEqual(e[o],this.props[o]))}validateProps(e){if(s.default.Children.count(e.children)>1)throw new Error("The Quill editing area can only be composed of a single React element.");if(s.default.Children.count(e.children)&&s.default.Children.only(e.children)?.type==="textarea")throw new Error("Quill does not support editing on a <textarea>. Use a <div> instead.");if(this.lastDeltaChangeSet&&e.value===this.lastDeltaChangeSet)throw new Error("You are passing the `delta` object from the `onChange` event back as `value`. You most probably want `editor.getContents()` instead. See: https://github.com/zenoamaro/react-quill#using-deltas")}render(){return c.jsx(p.default,{...this.props,generation:this.state.generation,reactQuillRef:i.mergeRefs([this.props.reactQuillRef,this.reactQuillRef].filter(Boolean)),onChange:e=>{this.lastDeltaChangeSet=e.delta,this.props.onChange?.(e)}})}}exports.default=C;
