interface Options {
    upload(file: File): Promise<string>;
}
/**
 * Image uploader class.
 */
export declare class ImageUploader {
    quill: any;
    options: Options;
    range: any;
    fileHolder: HTMLInputElement;
    /**
     * Constructor by default.
     *
     * @param quill the quill instance.
     * @param options the ImageUploader options.
     */
    constructor(quill: any, options: Options);
    selectLocalImage(): void;
    handleDrop(event: any): void;
    handlePaste(event: any): void;
    readAndUploadFile(file: File): void;
    fileChanged(): void;
    insertBase64Image(url: string): void;
    insertToEditor(url: string): void;
    removeBase64Image(): void;
}
export {};
