import type { MouseEvent as ReactMouseEvent } from "react";
import React from "react";
type SliderHandleProps = {
    id: string;
    index: number;
    position: number;
    vertical: boolean;
    isHovering: boolean;
    isDragging: boolean;
    disabled: boolean;
    onMouseOver: (index: number, event: ReactMouseEvent) => void;
    onMouseOut: (index: number, event: ReactMouseEvent) => void;
    onDragStart: (index: number) => void;
    onDrag: (index: number, event: MouseEvent | TouchEvent) => void;
    onDragEnd: (index: number, event: MouseEvent | TouchEvent) => void;
};
declare const SliderHandle: React.ForwardRefExoticComponent<SliderHandleProps & React.RefAttributes<HTMLDivElement>>;
export default SliderHandle;
