"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var a=require("styled-components"),r=require("../../utils-styles/colors.js"),o=require("../../utils-styles/pallette.js"),t=a.css`
  .opt-switch__slider {
    background-color: ${e=>e.theme?.mode==="dark"?r.alpha(r.white,.16):r.grey20};
    &:after {
      background-color: ${e=>e.theme?.mode==="dark"?r.secondaryDark:r.grey50};
    }
  }
  &.opt-switch--primary {
    .opt-switch__slider {
      &.is-checked {
        background-color: ${e=>e.theme?.mode==="dark"?r.white16:r.primaryHighlight};
        &:after {
          background-color: ${e=>o.pallette(e).primary?.main||r.primary};
        }
      }
    }
    &:hover,
    &:active,
    &.active {
      background-color: ${e=>o.pallette(e).primary?.hoverAlt||r.primaryHoverAlt};
      .opt-switch__slider {
        &.is-checked:after {
          background-color: ${e=>o.pallette(e).primary?.hover||r.primaryHover};
        }
      }
    }
  }
  &.opt-switch--secondary {
    .opt-switch__slider {
      &.is-checked {
        background-color: ${e=>o.pallette(e).secondary?.main||r.secondary};
        &:after {
          background-color: ${e=>o.pallette(e).secondary?.main||r.secondary};
        }
      }
    }
    &:hover,
    &:active,
    &.active {
      background-color: ${e=>o.pallette(e).secondary?.highlight||r.secondaryHighlight};
      .opt-switch__slider {
        &.is-checked:after {
          background-color: ${e=>o.pallette(e).secondary?.hover||r.secondaryHover};
        }
      }
    }
  }
`;exports.default=t;
