"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var l=require("styled-components"),a=require("styled-system"),e=require("../../utils-styles/colors.js"),i=require("../../utils-styles/pallette.js"),o=require("./SwitchDefault.js"),p=require("./SwitchSmall.js");function s(t){return t&&typeof t=="object"&&"default"in t?t:{default:t}}var r=s(l);const d=r.default.label`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  flex: 0 0 auto;
  align-items: center;
  outline: 0;
  margin: 0;
  cursor: pointer;
  border: 0;
  user-select: none;
  vertical-align: middle;
  text-decoration: none;
  ${a.compose(a.space,a.typography,a.position)};
  color: ${t=>i.pallette(t).text?.main||e.black};
  &[aria-disabled="true"] {
    cursor: not-allowed !important;
    color: ${t=>i.pallette(t).disabled?.text||e.disabledText};
    > .opt-switch {
      pointer-events: "none";
      &:hover {
        background-color: transparent !important;
      }
      &.opt-switch--default {
        .opt-switch__slider {
          background-color: ${t=>i.pallette(t).disabled?.fill||e.disabledFill} !important;
          &:after {
            background-color: ${t=>i.pallette(t).disabled?.fill||e.disabledFill} !important;
            box-shadow: "rgba(0, 0, 0, 0.2) 0px 1px 5px, rgba(0, 0, 0, 0.12) 0px 3px 4px, rgba(0, 0, 0, 0.14) 0px 2px 4px";
          }
        }
      }
      &.opt-switch--small {
        .opt-switch__slider {
          background-color: ${t=>i.pallette(t).disabled?.fill||e.disabledFill} !important;
        }
      }
    }
  }
  ${({css:t})=>t};
`,n=r.default.div`
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  border-radius: 100%;
  padding: 7px;
  transition: background-color 0.2s linear;
  &.opt-switch--default {
    ${o.default};
  }
  &.opt-switch--small {
    ${p.default};
  }
  &.opt-switch--compact {
    width: 32px;
    height: 32px;
    padding: 3px;
    & > input[type="checkbox"]:focus-visible + .opt-switch__slider-wrapper {
      outline-offset: 1px;
    }
  }
  & > input[type="checkbox"]:focus-visible + .opt-switch__slider-wrapper {
    outline: 1px dashed
      ${t=>i.pallette(t).primary?.main||e.primary};
    outline-offset: 4px;
    border-radius: 50%;
  }
`,c=r.default.input`
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
  cursor: inherit;
  z-index: 1;
`,h=r.default.div`
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
`,u=r.default.span`
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  transition: background-color 0.36s ease 0s;
  &:after {
    content: "";
    position: absolute;
    border-radius: 50%;
    transition: transform 0.36s cubic-bezier(0.78, 0.14, 0.15, 0.86) 0s;
  }
  &.opt-switch__slider--default {
    height: 8px;
    border-radius: 4px;
    &:after {
      width: 16px;
      height: 16px;
    }
    &.is-checked:after {
      transform: translateX(18px);
    }
    &.opt-switch__slider--compact {
      height: 6px;
      &:after {
        width: 12px;
        height: 12px;
      }
      &.is-checked:after {
        transform: translateX(14px);
      }
    }
  }
  &.opt-switch__slider--small {
    width: calc(100% - 14px);
    height: 10px;
    border-radius: 10px;
    &:after {
      width: 6px;
      height: 6px;
      left: 2px;
    }
    &.is-checked:after {
      transform: translateX(10px);
    }
    &.opt-switch__slider--compact {
      width: calc(100% - 6px);
    }
  }
`;exports.Container=d,exports.InputSwitch=c,exports.SwitchSlider=u,exports.SwitchSliderWrapper=h,exports.Wrapper=n;
