"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var r=require("styled-components"),i=require("../Box/Box.js"),e=require("../utils-styles/colors.js"),t=require("../utils-styles/pallette.js");function a(o){return o&&typeof o=="object"&&"default"in o?o:{default:o}}var l=a(r);const n=l.default(i.default)`
  font-family: "Equinor";
  border-width: 1px;
  border-style: solid;
  border-color: ${o=>t.pallette(o).disabled?.border||e.disabledBorder};
  border-radius: 4px;

  & .opt-button--compact {
    max-width: 38px;
    max-height: 38px;
  }

  .tiptap p.is-editor-empty:first-child::before {
    color: ${o=>t.pallette(o).secondary?.main??e.secondary};
    content: attr(data-placeholder);
    float: left;
    height: 0;
    pointer-events: none;
  }
    
    .tiptap {
        .mention {
            background-color: ${o=>t.pallette(o).secondary?.highlight??e.secondaryHighlight};
            border-radius: 4px;
            box-decoration-break: clone;
            color: ${o=>t.pallette(o).primary?.main??e.primary};
            padding: 4px;

            &::after {
                content: "\\200B";
            }
        }
    }

  & .ProseMirror {
    outline: none;
    padding: 16px;
    overflow-y: auto;
    & .ProseMirror-gapcursor.ProseMirror-widget::after {
        display: none;
    }
    & .ProseMirror-gapcursor {
      caret-color: inherit;
    }
    & a {
      color: ${o=>t.pallette(o).primary?.main??e.primary};
      text-decoration: underline;
    }

    & h1,
    & h2,
    & h3,
    & h4,
    & h5,
    & h6 {
      font-weight: 700;
      margin-top: 0px;
    }

    & ol,
    & ul {
      margin-top: 12px;
      padding-left: calc(32px);
      list-style-position: outside;
    }

    & h1 {
      font-size: 34px;
      margin-bottom: calc(15.6px);
    }

    & h2 {
      font-size: 26px;
      margin-bottom: calc(16.2px);
    }

    & h3 {
      font-size: 22px;
      margin-bottom: calc(16.8px);
    }

    & h4 {
      font-size: 18px;
      margin-bottom: calc(17.4px);
    }

    & h5 {
      font-size: 16px;
      margin-bottom: calc(18px);
    }

    & h6 {
      font-size: 14px;
      margin-bottom: calc(18px);
    }

    & p {
      margin-top: 0px;
      margin-bottom: 12px;
    }

    & pre {
      font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas,
        "Liberation Mono", "Courier New", monospace;
      line-height: 1.55;
      border-radius: 4px;
      font-size: 12px;
      padding: 10px;
      margin: 0px;
      overflow-x: auto;
      color: ${o=>t.pallette(o).text?.main??e.black};
      background-color: ${o=>t.pallette(o).disabled?.fill||e.disabledFill};
    }

    & code {
      font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas,
        "Liberation Mono", "Courier New", monospace;
      line-height: 1.55;
      border-radius: 4px;
      font-size: 12px;
      padding: 2px calc(10px / 2);
      color: ${o=>t.pallette(o).text?.main??e.black};
      background-color: ${o=>t.pallette(o).disabled?.fill||e.disabledFill};
    }

    & blockquote {
      margin-top: 0px;
      margin-left: 0px;
      margin-bottom: 12px;
      padding-left: 16px;
      border-left-width: 4px;
      border-left-style: solid;
      color: ${o=>t.pallette(o).text?.main??e.black};
      border-left-color: ${o=>t.pallette(o).disabled?.border||e.disabledBorder};
    }

    & img {
      display: block;
      position: relative;
      max-width: 100%;
      margin-bottom: 12px;
    }
      
    & table {
          border-collapse: collapse;
          margin: 0;
          overflow: hidden;
          table-layout: fixed;
          width: 100%;

          td,
          th {
              border-width: 1px;
              border-style: solid;
              border-color: ${o=>t.pallette(o).disabled?.border??e.disabledBorder};
              box-sizing: border-box;
              min-width: 1em;
              padding: 6px 8px;
              position: relative;
              vertical-align: top;

              > * {
                  margin-bottom: 0;
              }
          }

          th {
              background-color: ${o=>t.pallette(o).background?.main??e.white};
              font-weight: bold;
              text-align: left;
          }

          .selectedCell:after {
              background-color: ${o=>t.pallette(o).primary?.hoverAlt??e.white};
              content: "";
              left: 0; right: 0; top: 0; bottom: 0;
              pointer-events: none;
              position: absolute;
              z-index: 2;
          }

          .column-resize-handle {
              background-color: ${o=>t.pallette(o).primary?.main??e.white};
              bottom: -2px;
              pointer-events: none;
              position: absolute;
              right: -2px;
              top: 0;
              width: 4px;
          }
      }

      .tableWrapper {
          margin: 1.5rem 0;
          overflow-x: auto;
      }

      &.resize-cursor {
          cursor: ew-resize;
          cursor: col-resize;
      }
  }
  }
`;exports.TipTapEditorContainer=n;
