"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var s=require("react/jsx-runtime"),G=require("clsx"),t=require("react"),J=require("../Paper/Paper.js"),K=require("../Popper/Popper.js");require("../BaseIcon/BaseIcon.js"),require("date-fns"),require("date-fns/locale/en-US"),require("date-fns/locale/nb");var Q=require("../utils/isDescendant/isDescendant.js"),O=require("../utils/styledSystemHelpers.js"),U=require("../utils/useOnClickOutside/useOnClickOutside.js");require("styled-components");var q=require("../utils-styles/colors.js"),V=require("../utils/useThemePallette/useThemePallette.js");function j(l){return l&&typeof l=="object"&&"default"in l?l:{default:l}}var W=j(G),X=j(t);const Y=X.default.forwardRef(function({className:l,children:v,tooltipRef:_=void 0,open:n=void 0,defaultOpen:D=!1,closeOnClickOutside:L=!0,trigger:f=["click","hover"],content:R,onOpen:i=void 0,onClose:a=void 0,onClick:M=void 0,onMouseEnter:g=void 0,onMouseLeave:c=void 0,onContextMenu:w=void 0,onClickOutside:C=void 0,...r},N){let h;const y=V.default(),b=t.useRef(null),[k,d]=t.useState(D),[m,z]=t.useState(null),u=Array.isArray(f)?[...f]:[f],{...A}=O.getStyledSystemColorProps(r),{...F}=O.getStyledSystemPositionProps(r);t.useImperativeHandle(_,()=>({open:e=>{const o=new MouseEvent("click",{bubbles:!0,cancelable:!0,view:window});P(e||o)},close:e=>{const o=new MouseEvent("click",{bubbles:!0,cancelable:!0,view:window});p(e||o)}})),L&&(u.includes("click")||u.includes("contextMenu"))&&U.default(b,e=>{Q.default(m,e.target)||p(e),C&&C(!1,e)});const x=t.useCallback(e=>{z(e)},[]),P=e=>{typeof n!="boolean"&&d(!0),i&&i(e)},p=e=>{b.current&&typeof n!="boolean"&&d(!1),a&&a(e)},H=e=>{const o=!k;typeof n!="boolean"&&d(o),M&&M(o,e),o&&i&&i(e),!o&&a&&a(e)},I=e=>{e.preventDefault();const o=!k;typeof n!="boolean"&&d(o),w&&w(o,e),o&&i&&i(e),!o&&a&&a(e)},S=e=>{clearTimeout(h),P(e),g&&g(!0,e)},T=e=>{h=setTimeout(()=>p(e),100),c&&c(!1,e)},E=()=>{const e={};return u.includes("click")&&(e.onClick=H),u.includes("contextMenu")&&(e.onContextMenu=I),u.includes("hover")&&(e.onMouseEnter=S,e.onMouseLeave=T),e},B=()=>{const e={};return u.includes("hover")&&(e.onMouseEnter=S,e.onMouseLeave=o=>{p(o),c&&c(!1,o)}),e};return s.jsxs(s.Fragment,{children:[(()=>typeof v=="string"?s.jsx("span",{ref:x,...E(),style:{display:"inline-block",cursor:"pointer"},children:v}):t.Children.map(v,e=>t.cloneElement(e,{ref:x,...E(),style:{display:e.props?.display?e.props?.display:"inline-block",cursor:"pointer",...e.props.style}})))(),m&&s.jsx(K.default,{ref:N,className:W.default(l,"opt-tooltip"),role:"tooltip",open:typeof n=="boolean"?n:k,anchorEl:m,container:r.container,disablePortal:r.disablePortal,keepMounted:r.keepMounted,modifiers:r.modifiers,arrow:r.arrow,placement:r.placement,backgroundColor:y.background?.overlay||q.black8,elevation:r.elevation,...A,...F,children:s.jsx(J.default,{ref:b,elevation:0,p:10,backgroundColor:y.background?.overlay||q.black8,color:y.text?.inverted||q.white,fontSize:"0.75rem",...B(),...r,children:R})})]})});exports.default=Y;
