"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var d=require("react/jsx-runtime"),F=require("clsx"),v=require("react"),H=require("react-transition-group"),M=require("styled-components"),N=require("styled-system");require("../../BaseIcon/BaseIcon.js"),require("date-fns"),require("date-fns/locale/en-US"),require("date-fns/locale/nb");var S=require("../../utils/useForkRef/useForkRef.js");require("color");var E=require("../utils.js");function f(r){return r&&typeof r=="object"&&"default"in r?r:{default:r}}var W=f(F),k=f(v),x=f(M);const G=x.default.div`
  height: 0;
  overflow: hidden;
  transition: height 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  &.is-horizontal {
    height: "auto";
    width: 0;
    transition: width 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  }
  &.is-hidden {
    visibility: hidden;
  }
  &.has-entered {
    height: auto;
    overflow: visible;
    &.is-horizontal {
      width: auto;
    }
  }
  ${N.layout};
`,I=x.default.div`
  display: flex;
  width: 100%;
  &.is-horizontal {
    width: auto;
    height: 100%;
  }
`,L=x.default.div`
  width: 100%;
  &.is-horizontal {
    width: auto;
    height: 100%;
  }
`,O=k.default.forwardRef(function({children:r,orientation:m="vertical",appear:w=!0,in:p,timeout:s=300,onEnter:g=void 0,onEntering:l=void 0,onEntered:b=void 0,onExit:y=void 0,onExiting:_=void 0,onExited:z=void 0,...j},R){const n=m==="horizontal",u=n?"width":"height",h=v.useRef(null),$=S.default(R,h),o=v.useRef(null),a=(e,i)=>{if(e){const t=h.current;i===void 0?e(t):e(t,i)}},q=()=>o.current?o.current[n?"clientWidth":"clientHeight"]:0;return d.jsx(H.Transition,{nodeRef:h,appear:w,in:p,onEnter:(e,i)=>{a((t,c)=>{o.current&&n&&(o.current.style.position="absolute"),t.style[u]="0px",g&&g(t,c)},i)},onEntered:(e,i)=>{a(b,i)},onEntering:(e,i)=>{a((t,c)=>{const D=q();o.current&&n&&(o.current.style.position="");const T=E.getTransitionDuration(s,"enter");t.style.transitionDuration=`${T}ms`,t.style[u]=`${D}px`,l&&l(t,c)},i)},onExit:()=>{a(e=>{e.style[u]=`${q()}px`,y&&y(e)})},onExited:()=>{a(z)},onExiting:()=>{a(e=>{const i=E.getTransitionDuration(s,"enter");e.style.transitionDuration=`${i}ms`,e.style[u]="0px",_&&l(e)})},timeout:s,...j,children:e=>d.jsx(G,{ref:$,className:W.default(n&&"is-horizontal",e==="exited"&&!p&&"is-hidden",e==="entered"&&"has-entered"),minWidth:n?"0px":void 0,minHeight:n?void 0:"0px",children:d.jsx(I,{ref:o,children:d.jsx(L,{children:r})})})})});exports.default=O;
