/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import d from"styled-components";import i from"../../Paper/Paper.js";import{disabledBorder as o,grey10 as t,primary as p,disabledText as a}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const l=d(i)`
  border-top: 1px solid
    ${r=>e(r).disabled?.border||o};
  border-left: 1px solid
    ${r=>e(r).disabled?.border||o};
  border-right: 1px solid
    ${r=>e(r).disabled?.border||o};
  border-radius: 0;
  filter: none;
  ${({elevation:r})=>r&&"box-shadow: 0px 2px 1px -1px rgb(0 0 0 / 20%), 0px 1px 1px 0px rgb(0 0 0 / 14%), 0px 1px 3px 0px rgb(0 0 0 / 12%);"};
  &:first-of-type {
    border-top-left-radius: ${({square:r})=>!r&&"4px"};
    border-top-right-radius: ${({square:r})=>!r&&"4px"};
  }
  &:last-of-type {
    border-bottom-left-radius: ${({square:r})=>!r&&"4px"};
    border-bottom-right-radius: ${({square:r})=>!r&&"4px"};
    border-bottom: 1px solid
      ${r=>e(r).disabled?.border||o};
  }
`,s=d.div`
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 48px;
  background-color: transparent;
  color: inherit;
  user-select: none;
  cursor: pointer;
  padding-left: 16px;
  padding-right: 16px;
  &:hover {
    background-color: ${r=>e(r).background?.lighten||t};
  }
  &:focus-visible {
    outline: 1px dashed
      ${r=>e(r).primary?.main||p};
    outline-offset: -4px;
  }
  &[aria-disabled="true"] {
    background-color: transparent;
    * {
      color: ${r=>e(r).disabled?.text||a} !important;
      cursor: not-allowed;
    }
  }
`,n=d.div`
  display: flex;
  align-items: center;
  flex-grow: 0;
  flex: 1;
`,b=d.div`
  padding: 16px;
  border-top: 1px solid
    ${r=>e(r).disabled?.border||o};
`;export{s as AccordionHeader,n as AccordionHeaderContent,b as AccordionPanel,l as BaseAccordion};
