/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import e from"styled-components";import{compose as o,space as r,color as s,background as a,border as l,position as d,shadow as p}from"styled-system";import{white as n,grey20 as g}from"../../utils-styles/colors.js";import{pallette as i}from"../../utils-styles/pallette.js";const m=e.header`
  /* EDS styles */
  height: 64px;
  box-sizing: border-box;
  display: grid;
  grid-column-gap: 24px;
  grid-template-columns: auto 1fr auto;
  grid-template-areas: "left center right";
  align-items: center;
  padding-left: 24px;
  padding-top: 8px;
  padding-right: 24px;
  padding-bottom: 8px;
  margin: 0;
  font-family: Equinor;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1em;
  letter-spacing: 0.013em;
  text-align: left;
  position: sticky;
  top: 0;
  z-index: 1100;

  /* custom styles */
  display: flex;
  background: ${t=>i(t).background?.main||n};
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: ${t=>i(t).disabled?.border||g};
  box-sizing: border-box;
  ${o(r,s,a,l,d,p)}
  ${({css:t})=>t};
`,f=e.div`
  /* EDS styles */
  grid-area: left;
  display: grid;
  grid-template-columns: auto auto;
  grid-gap: 12px;
  align-items: center;

  /* Custom styles */
  display: flex;
  flex: 1;
  justify-content: flex-start;
`,x=e.div`
  /* EDS styles */
  grid-area: left;

  /* Custom styles */
  display: flex;
  flex: 2;
  justify-content: center;
`,c=e.div`
  /* EDS styles */
  grid-area: right;
  text-align: right;
  align-items: center;
  display: flex;

  /* Custom styles */
  display: flex;
  flex: 1;
  justify-content: flex-end;
`,y=e.div`
  display: flex;
  align-items: center;
  gap: 10px;
`;export{y as ActionsBlock,c as AppBarActions,x as AppBarContent,f as AppBarHeader,m as BaseAppBar};
