/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import n from"styled-components";import{compose as d,space as r,typography as s,layout as a,flexbox as h,background as u,border as l,position as c,shadow as b,width as t,height as i}from"styled-system";import{primary as m,secondary as x,danger as f,disabledText as g}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";import $ from"./ButtonContained.js";import w from"./ButtonGhost.js";import y from"./ButtonOutlined.js";const v=n.button.withConfig({shouldForwardProp:(o,p)=>!["loading"].includes(o)&&p(o)})`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  align-items: center;
  min-width: 36px;
  min-height: 36px;
  width: fit-content;
  ${({fullWidth:o})=>o&&"width: 100%"};
  padding: 5px 15px;
  box-sizing: border-box;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  border-radius: 4px;
  appearance: none;
  outline: 0;
  justify-content: center;
  text-decoration: none;
  user-select: none;
  border: 0;
  cursor: pointer;
  overflow: hidden;
  font-weight: 500;
  border-width: 1px;
  border-style: solid;
  &.opt-button--rounded {
    width: 40px;
    height: 40px;
    padding: 0;
    border-radius: 100%;
  }
  &.opt-button--compact {
    min-width: 24px;
    min-height: 24px;
    &.opt-button--rounded {
      width: 32px;
      height: 32px;
    }
  }
  &.opt-button--contained {
    ${$};
  }
  &.opt-button--outlined {
    ${y};
  }
  &.opt-button--ghost {
    ${w};
  }
  &.opt-button--primary {
    &:focus-visible {
      outline: 1px dashed
        ${o=>e(o).primary?.main||m};
      outline-offset: 2px;
    }
  }
  &.opt-button--secondary {
    &:focus-visible {
      outline: 1px dashed
        ${o=>e(o).secondary?.main||x};
      outline-offset: 2px;
    }
  }
  &.opt-button--danger {
    &:focus-visible {
      outline: 1px dashed
        ${o=>e(o).danger?.main||f};
      outline-offset: 2px;
    }
  }
  &&& {
    ${d(r,s,a,h,u,l,c,b)};
  }
  &:disabled {
    cursor: not-allowed;
    color: ${o=>e(o).disabled?.text||g} !important;
  }
  ${({loading:o})=>o&&"pointer-events: none"};
  &&&& {
    ${({css:o})=>o};
  }
`,_=n.span`
  display: inherit;
  &.opt-button__start-icon {
    margin-right: 8px;
  }
  &.opt-button__end-icon {
    margin-left: 8px;
  }
  &.opt-button__icon {
    ${r};
    .opt-icon {
      display: flex;
      width: 18px;
      height: 18px;
      ${t};
      ${i};
      & > svg {
        width: 18px;
        height: 18px;
        ${t};
        ${i};
      }
    }
    &--compact {
      .opt-icon {
        width: 16px;
        height: 16px;
        ${t};
        ${i};
        & > svg {
          width: 16px;
          height: 16px;
          ${t};
          ${i};
        }
      }
    }
  }
`;export{v as BaseButton,_ as ButtonIcon};
