/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import i from"styled-components";import{compose as n,space as a,typography as l,position as p,width as c}from"styled-system";import{black as s,disabledText as t,primary as r,primaryHoverAlt as d,secondary as h,secondaryHighlight as m}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const b=i.label`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  flex: 0 0 auto;
  align-items: center;
  outline: 0;
  margin: 0;
  cursor: pointer;
  border: 0;
  user-select: none;
  vertical-align: middle;
  text-decoration: none;
  ${n(a,l,p)};
  color: ${o=>e(o).text?.main||s};
  &[aria-disabled="true"] {
    cursor: not-allowed !important;
    color: ${o=>e(o).disabled?.text||t};
    > .opt-checkbox {
      color: ${o=>e(o).disabled?.text||t};
      pointer-events: none;
    }
  }
  ${({css:o})=>o};
`,u=i.span`
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: inherit;
  justify-content: inherit;
  border-radius: 100%;
  transition: background-color 0.2s linear;
  ${c};
  padding: 10px;
  &.opt-checkbox--primary {
    color: ${o=>e(o).primary?.main||r};
    &:hover {
      background-color: ${o=>e(o).primary?.hoverAlt||d};
    }
  }
  &.opt-checkbox--secondary {
    color: ${o=>e(o).secondary?.main||h};
    &:hover {
      background-color: ${o=>e(o).secondary?.highlight||m};
    }
  }
  &.opt-checkbox--compact {
    padding: 4px;
    & > input[type="checkbox"]:focus-visible + .opt-icon {
      outline-offset: 1px;
    }
  }
  & > input[type="checkbox"]:focus-visible + .opt-icon {
    outline: 1px dashed
      ${o=>e(o).primary?.main||r};
    outline-offset: 6px;
    border-radius: 50%;
  }
  > svg {
    display: inline-block;
    width: 100%;
    height: 100%;
    font-size: 1.5rem;
    transition: fill 0.2s linear;
    flex-shrink: 0;
    user-select: none;
  }
  box-sizing: content-box;
`,x=i.input`
  appearance: none;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
  cursor: inherit;
  z-index: 1;
`;export{b as Container,x as InputCheckbox,u as Wrapper};
