/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import o from"styled-components";import{compose as e,space as i,typography as t,layout as p,flexbox as n,background as l,border as a,position as s,shadow as d}from"styled-system";import{grey30 as h,grey10 as m}from"../../utils-styles/colors.js";import c from"./ChipDefault.js";import f from"./ChipError.js";import g from"./ChipSelected.js";import x from"./ChipWarning.js";const b=o.div`
  font-family: "Equinor";
  font-size: 0.75rem;
  line-height: 1.333rem;
  font-weight: 500;
  position: relative;
  display: inline-flex;
  align-items: center;
  width: fit-content;
  min-height: 24px;
  padding: 0 8px;
  border-width: 1px;
  border-style: solid;
  border-color: transparent;
  border-radius: 100px;
  &.opt-chip--default {
    ${c};
  }
  &.opt-chip--selected {
    ${g};
  }
  &.opt-chip--warning {
    ${x};
  }
  &.opt-chip--error {
    ${f};
  }
  &.is-clickable {
    cursor: pointer;
  }
  overflow: hidden;
  &.opt-chip {
    ${e(i,t,p,n,l,a,s,d)};
    ${({css:r})=>r};
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    color: ${h};
    background-color: ${m};
  }
`,u=o.span`
  display: inline-flex;
  height: 100%;
  align-items: center;
  ${i};
  > span > svg {
    width: 16px;
    height: 16px;
  }
`,y=o.span`
  flex: 1;
  line-height: 1rem;
`;export{b as BaseChip,u as ChipAdornment,y as ChipText};
