/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as i,jsxs as d}from"react/jsx-runtime";import{addSeconds as x,startOfDay as c}from"date-fns";import{useContext as v}from"react";import o from"styled-components";import h from"../../Slider/Slider.js";import{secondary as u,white as y}from"../../utils-styles/colors.js";import{getInitialTime as _}from"../utils/helpers.js";import{DatePickerContext as $}from"./context.js";const k=o.div`
  position: relative;
  display: flex;
  justify-content: space-around;
  min-width: 280px;
  > div {
    flex: 1;
    padding: 20px 0 10px;
  }
`,w=o.div`
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
`,g=o.input`
  width: 40px;
  height: 40px;
  font-size: 20px;
  line-height: 40px;
  padding-left: 15px;
  background-color: ${u};
  color: ${y};
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5) inset;
  text-align: center;
  border-radius: 4px;
  border: 0;
  box-sizing: content-box;
`,C=o.div`
  &:after {
    content: ":";
    display: inline-block;
    font-size: 32px;
    font-weight: 700;
    color: ${u};
    width: 20px;
    height: 40px;
    line-height: 40px;
    text-align: center;
  }
`,f=o.div`
  padding: 10px 0;
  font-weight: 500;
`,j=()=>{const{uid:t,selectedDate:b,updateSelectedDate:l}=v($),a=_(b),n=a.getHours(),r=a.getMinutes(),m=e=>{const p=e*3600+r*60;l(x(c(a),p))},s=e=>{const p=n*3600+e*60;l(x(c(a),p))};return i(k,{minWidth:280,children:d("div",{children:[d(w,{children:[i(g,{"aria-labelledby":`timepicker-${t}__hours`,type:"number",min:0,max:23,value:n<10?`0${n}`:`${n}`,onChange:e=>m(e.target.value)}),i(C,{}),i(g,{type:"number","aria-labelledby":`timepicker-${t}__minutes`,min:0,max:59,value:r<10?`0${r}`:`${r}`,onChange:e=>s(e.target.value)})]}),d(f,{children:[i("div",{id:`timepicker-${t}__hours`,children:"Hours:"}),i(h,{mt:"10px",ariaLabelledby:`timepicker-${t}__hours`,min:0,max:23,value:[n],marks:{0:"0",23:"23"},onChange:e=>m(e[0])})]}),d(f,{children:[i("div",{id:`timepicker-${t}__minutes`,children:"Minutes:"}),i(h,{mt:"10px",ariaLabelledby:`timepicker-${t}__minutes`,min:0,max:59,value:[r],marks:{0:"0",59:"59"},onChange:e=>s(e[0])})]})]})})};export{j as default};
