/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsxs as g,jsx as t}from"react/jsx-runtime";import N from"clsx";import e from"prop-types";import $ from"react";import m from"styled-components";import v from"../Button/Button.js";import f from"../Input/Input.js";import F from"../utils-icons/Calendar.js";import A from"../utils-icons/Clear.js";import{primary as E}from"../utils-styles/colors.js";import{pallette as S}from"../utils-styles/pallette.js";const j=m.div`
  display: flex;
  > div:first-child {
    margin-right: 10px;
  }
`,z=m.span`
  margin: 0 10px;
  white-space: nowrap;
  flex: 0 !important;
`,P=m(f)`
  .opt-input {
    outline: none;
  }
  &.focus:before {
    content: "";
    position: absolute;
    bottom: 0;
    height: 2px;
    background-color: ${i=>S(i).primary.main||E};
    width: ${({inputFocusWidth:i})=>i};
    margin-left: ${({inputFocusMl:i})=>i};
    z-index: 1;
  }
`,_=$.forwardRef(function(i,h){const{className:b,allowClear:x,separator:R,nInputs:q,focusInput:o,placeholderStartDate:l,placeholderEndDate:p,startDate:s,endDate:d,onClickClear:D,onClickStartDate:c,onClickEndDate:k,startDateInputProps:C,endDateInputProps:w,...a}=i,n=!!a.disabled,I=r=>y=>{D&&D(r,y)},u=r=>x&&(r===-1&&s&&d||r===1&&s||r===2&&d)?t(v,{variant:"ghost",startIcon:t(A,{}),iconSize:16,width:"32px",minWidth:"32px",height:"32px",minHeight:"32px",onClick:I(r),"aria-label":"Close date range picker"}):t(F,{size:16,mr:"10px",onClick:r===-1?c:null});return q<=1?g(P,{ref:h,className:N(b,(o===1||o===2)&&"focus"),endAdornment:u(-1),disabled:n,...C,...a,inputFocusWidth:`calc(${a.width} / 2)`,inputFocusMl:o===2?`calc(${a.width} / 2)`:"0",children:[t("input",{className:"opt-datepicker__input__startDate",type:"text",value:s,placeholder:l,"aria-label":l,onClick:c,onChange:()=>{},disabled:n}),t(z,{className:"opt-datepicker__input--separator",children:R}),t("input",{className:"opt-datepicker__input__endDate",type:"text",value:d,placeholder:p,"aria-label":p,onClick:k,onChange:()=>{},disabled:n})]}):g(j,{ref:h,className:b,children:[t(f,{className:"opt-datepicker__input__startDate",endAdornment:u(1),value:s,placeholder:l,"aria-label":l,onClick:c,disabled:n,forceFocus:o===1,...C,...a}),t(f,{className:"opt-datepicker__input__endDate",endAdornment:u(2),value:d,placeholder:p,"aria-label":p,onClick:k,disabled:n,forceFocus:o===2,...w,...a})]})});_.propTypes={allowClear:e.bool.isRequired,nInputs:e.number.isRequired,focusInput:e.number.isRequired,separator:e.oneOfType([e.string,e.element]).isRequired,placeholderStartDate:e.string.isRequired,placeholderEndDate:e.string.isRequired,startDate:e.string.isRequired,endDate:e.string.isRequired,onClickClear:e.func.isRequired,onClickStartDate:e.func.isRequired,onClickEndDate:e.func.isRequired,startDateInputProps:e.object.isRequired,endDateInputProps:e.object.isRequired};export{_ as default};
