/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{getISOWeek as I,format as S,differenceInMilliseconds as W}from"date-fns";import{eachDatesOfIntervalByGroup as O,getFormatByDatesGroup as B,isStartOfYear as G,getDateByGroupDatesBy as g,parseDate as m,isInsideRange as b}from"./dates.js";const C=(t,n,e,i,o,r,d,c)=>{const s=t*e/100,l=n.map(a=>({...a,key:a.key||a.accessor||a.dataKey,frozen:N(n,a,s)?a.frozen||"left":!1,width:p(s,a)})),u=_(t,l),f=O(i,o,r),h=f.map((a,y)=>({key:`__gantt__${a.toISOString()}--${y}`,headerClassName:"BaseTable__header__gantt--cell",className:"BaseTable__row__gantt--cell",headerRenderer:w=>c?c({...w,date:a}):r==="weeks"?I(a,{weekStartsOn:1,firstWeekContainsDate:4}):S(a,B(r,G(a)),{weekStartsOn:1,firstWeekContainsDate:4}),width:D(u,d,f),date:a}));return[...l,...h]},k=(t,n,e,i,o)=>{const r=g(n,o,!0),d=g(e,o,!1);return t.reduce((c,s)=>{const l=m(s.startDate),u=m(s.endDate),f=W(d,r),h={...s,start:r,end:d,diff:f,taskStartDate:l,taskEndDate:u,isInsideRange:b(l,u,r,d)};return s.children&&s.children.length>0&&(h.children=k(s.children,n,e,i,o)),c.push(h),c},[])},N=(t,n,e)=>{let i=!1,o=0;for(let r=0,d=t.length;r<d;r++){const c=t[r];if(o+=p(e,c),Object.is(c,n)){i=o<=e;break}}return i},p=(t,n)=>{const{width:e,minWidth:i}=n;if(typeof e=="function")return e(t,n);if(typeof e=="number")return e;if(typeof e=="string"){if(e.includes("%")){const r=t*(parseInt(e,10)/100)-2;return i&&i>r?i:r}const o=parseInt(e,10);if(!isNaN(o))return o}return 150},D=(t,n,e)=>e.length*n<t?t/e.length:n;function _(t,n){return n.reduce((e,i)=>e-i.width,t)}function z(t,n,e){return(t.length-n.length)*e}export{D as getGanttColumnWidth,_ as getGanttWidth,z as getGanttWidthWithoutScroll,C as makeColumns,k as makeData};
