/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import o from"styled-components";import{color as i,compose as a,space as n,flexbox as s,position as m,shadow as p,width as l,height as f}from"styled-system";import{primary as r}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const d=o.span`
  position: relative;
  overflow: hidden;
  display: block;
  height: 4px;
  z-index: 0;
  border-radius: 50px;
  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: ${t=>e(t).primary?.main||r};
    opacity: 0.2;
    ${i};
  }
  @media print {
    color-adjust: exact;
  }
  ${a(n,s,m,p,l,f)};
  ${({css:t})=>t};
  .bar {
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    transition: transform 0.2s linear;
    transform-origin: left;
    background-color: ${t=>e(t).primary?.main||r};
    ${i};
  }
  &.opt-progress--determinate {
    .bar1 {
      transition: transform 2s linear;
    }
  }
  &.opt-progress--indeterminate {
    .bar1 {
      width: auto;
      animation: indeterminate1 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395)
        infinite;
    }
    .bar2 {
      width: auto;
      animation: indeterminate2 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) 1.15s
        infinite;
    }
  }
  @keyframes indeterminate1 {
    0% {
      left: -35%;
      right: 100%;
    }
    60% {
      left: 100%;
      right: -90%;
    }
    100% {
      left: 100%;
      right: -90%;
    }
  }
  @keyframes indeterminate2 {
    0% {
      left: -200%;
      right: 100%;
    }
    60% {
      left: 107%;
      right: -8%;
    }
    100% {
      left: 107%;
      right: -8%;
    }
  }
`;export{d as BaseProgress};
