/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import r from"styled-components";import{compose as i,space as a,color as t,typography as l,layout as p,flexbox as c,background as s,border as d,position as m,shadow as u}from"styled-system";import{primary as e,black as k,success as f,warning as x,danger as y,disabledText as $}from"../../utils-styles/colors.js";import{pallette as n}from"../../utils-styles/pallette.js";const b=r.a`
  position: relative;
  font-family: "Equinor";
  font-size: 1rem;
  color: ${o=>n(o).primary?.main||e};
  appearance: none;
  border: 0;
  background: transparent;
  ${i(a,t,l,p,c,s,d,m,u)};
  &:focus-visible {
    outline: 1px dashed
      ${o=>n(o).primary?.main||e};
    outline-offset: 2px;
  }
  &.opt-link--default {
    color: ${o=>n(o).text?.main||k};
  }
  &.opt-link--primary {
    color: ${o=>n(o).primary?.main||e};
  }
  &.opt-link--secondary {
    color: ${o=>n(o).secondary?.main||e};
  }
  &.opt-link--success {
    color: ${o=>n(o).success?.main||f};
  }
  &.opt-link--warning {
    color: ${o=>n(o).warning?.main||x};
  }
  &.opt-link--danger {
    color: ${o=>n(o).danger?.main||y};
  }
  &.opt-link--disabled {
    color: ${o=>n(o).disabled?.text||$};
  }
  &.opt-link--underline-none {
    text-decoration: none;
  }
  &.opt-link--underline-always {
    text-decoration: underline;
  }
  &.opt-link--underline-hover {
    text-decoration: none;
    &:hover {
      text-decoration: underline;
    }
  }
  ${({css:o})=>o};
`;export{b as BaseLink};
