/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import i from"styled-components";import{space as l,compose as c,typography as m,layout as d,flexbox as s}from"styled-system";import{grey80 as a,grey10 as h,primary as t,primaryHighlight as g,black as n,grey30 as p,disabledBorder as u}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const r=i.span`
  flex: 1;
  ${l};
  color: ${o=>e(o).text?.main||a};
`,f=i.li`
  position: relative;
  overflow: hidden;
  display: flex !important;
  flex-direction: row;
  align-items: center;
  width: 100%;
  height: 48px;
  min-height: 48px;
  &.opt-menu__item--compact {
    height: 32px;
    min-height: 32px;
  }
  padding: 16px 24px;
  font-weight: 500;
  ${c(l,m,d,s)};
  color: ${o=>e(o).text?.main||a};
  cursor: ${({clickable:o})=>o?"pointer":"default"};
  &:hover,
  &:focus {
    background-color: ${o=>e(o).background?.lighten||h};
  }
  &:focus {
    outline: 0;
  }
  &:focus-visible {
    outline: ${o=>e(o).primary?.main||t}
      dashed 1px;
    outline-offset: -4px;
    ${({outlineOffset:o})=>o&&`outline-offset: ${o}`};
  }
  &.is-active {
    background-color: ${o=>e(o).primary?.highlight||g};
    color: ${o=>o.theme?.mode==="dark"?n:t};
    ${r} {
      color: ${o=>o.theme?.mode==="dark"?n:t};
    }
  }
  &[disabled] {
    > * {
      color: ${o=>e(o).disabled?.text||p};
    }
    ${r} {
      color: ${o=>e(o).disabled?.text||p};
    }
    > .opt-icon {
      color: ${o=>e(o).disabled?.border||u};
    }
    background-color: transparent !important;
    cursor: not-allowed !important;
  }
  ${({clickable:o})=>!o&&`
      background-color: transparent !important;
      outline: none !important;
  `};
  ${({css:o})=>o};
`;export{f as MenuItemBase,r as MenuItemTitle};
