/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsxs as x,jsx as e}from"react/jsx-runtime";import K from"clsx";import O,{useState as $,useEffect as Q}from"react";import b from"../Button/Button.js";import T from"../Select/Select.js";import"../BaseIcon/BaseIcon.js";import"date-fns";import"date-fns/locale/en-US";import"date-fns/locale/nb";import V from"../utils/generateUID/generateUID.js";import"styled-components";import"color";import Y from"../utils-icons/ChevronLeft.js";import Z from"../utils-icons/ChevronRight.js";import q from"../utils-icons/MoreHorizontal.js";import{Container as B,Navigation as F,NavigationEllipsis as H}from"./styles/index.js";const U={page:"page",of:"of",items:"items"},W=O.forwardRef(function({className:z,totalItems:_,page:s=void 0,defaultPage:E=void 0,itemsPerPage:I=10,pageSize:k=[10,30,50,100],showTotal:G=!0,showPageSize:L=!0,disabled:m=!1,onChange:w=void 0,onChangePageSize:C=void 0,i18n:M={},...j},A){const[h]=$(V()),[i,N]=$(s||E||1),[d,R]=$(I),t=Math.ceil(_/d),P=d*(i-1)+1,y=P+d-1,n=7,g=5,l="ELLIPSIS",f={...U,...M};Q(()=>{s&&N(s)},[s]);const u=a=>()=>{s||N(a),w&&w(a)},D=({selectedValue:a})=>{const o=+a;R(o),C&&C(o)},S=(a,o)=>{const c=o-a+1;return Array.from({length:c},(r,p)=>a+p)},J=()=>{if(t>4){const a=i<g&&t>n?g:i<g&&t<=n?t:i+2<t-1?i+1:t,o=Math.max(1,i<g||t<=n?1:i+2>=t?t-4:i>4&&t>n?i-1:1),c=Math.min(t,a);let r=S(o,c);const p=o>2&&t>n,v=t-c>1&&t>n;return p&&!v?r=[1,l,...r]:!p&&v?r=[...r,l,t]:p&&v&&(r=[1,l,...r,l,t]),[...r]}return S(1,t)};return x(B,{ref:A,className:K(z,"opt-pagination"),...j,children:[L&&e(T,{className:"opt-pagination__select",allowClear:!1,disabled:m,onSelect:D,value:d,width:"130px",inputProps:{"aria-label":"Select page size"},children:k.map(a=>e("option",{value:`${a}`,children:`${a} / ${f.page}`},`${h}-page-size__${a}`))}),G&&e("p",{className:"opt-pagination__items",style:{marginLeft:20},children:x("span",{children:[P," - ",y," ",f.of," ",_," ",f.items]})}),x(F,{className:"opt-pagination__navigation","aria-label":"pagination",children:[e(b,{variant:"ghost",width:"40px",height:"40px",startIcon:e(Y,{}),disabled:m||i===1,"aria-label":"Go to previous page",onClick:u(i-1)}),J().map((a,o)=>a!==l?e(b,{className:i===a?"active":"",variant:"ghost",disabled:m,width:"40px",height:"40px",borderRadius:"100%","aria-label":`Go to page ${a}`,onClick:u(+a),children:a},`${h}-${o}`):e(H,{children:e(q,{})},`${h}-${o}`)),e(b,{variant:"ghost",width:"40px",height:"40px",startIcon:e(Z,{}),disabled:m||i===t,"aria-label":"Go to next page",onClick:u(i+1)})]})]})});export{W as default};
