/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import t from"styled-components";import{position as e,color as i}from"styled-system";const p=t.span`
  position: absolute;
  width: 8px;
  height: 8px;
  z-index: -1;
  &::before {
    content: "";
    position: absolute;
    width: 8px;
    height: 8px;
    z-index: -1;
    transform: rotate(45deg);
    background: inherit;
  }
`,a=t.div`
  ${({display:o})=>o&&`display: ${o}`};
  z-index: 999;
  ${e};
  filter: drop-shadow(0 0 ${({elevation:o})=>o}px rgba(0, 0, 0, 0.2));
  & > ${p}:before {
    ${i};
  }
  &[data-popper-placement*="top"] > ${p} {
    bottom: -4px;
    clip-path: polygon(50% 100%, 100% 50%, 0 50%);
  }
  &[data-popper-placement*="bottom"] > ${p} {
    top: -4px;
    clip-path: polygon(50% 0, 100% 50%, 0 50%);
  }
  &[data-popper-placement*="left"] > ${p} {
    right: -4px;
    clip-path: polygon(50% 100%, 100% 52%, 50% 2%);
  }
  &[data-popper-placement*="right"] > ${p} {
    left: -4px;
    clip-path: polygon(50% 100%, 0 50%, 50% 2%);
  }
`;export{p as Arrow,a as Tooltip};
