/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import e from"styled-components";import{compose as n,space as a,typography as l,position as s,width as p}from"styled-system";import{black as d,disabledText as t,primary as r,primaryHoverAlt as c,secondary as m,secondaryHighlight as u}from"../../utils-styles/colors.js";import{pallette as o}from"../../utils-styles/pallette.js";const f=e.label`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  flex: 0 0 auto;
  align-items: center;
  outline: 0;
  margin: 0;
  cursor: pointer;
  border: 0;
  user-select: none;
  vertical-align: middle;
  text-decoration: none;
  ${n(a,l,s)};
  color: ${i=>o(i).text?.main||d};
  &[aria-disabled="true"] {
    cursor: not-allowed !important;
    color: ${i=>o(i).disabled?.text||t};
    > .opt-radio {
      color: ${i=>o(i).disabled?.text||t};
      pointer-events: none;
    }
  }
  ${({css:i})=>i};
`,h=e.span`
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: inherit;
  justify-content: inherit;
  border-radius: 100%;
  transition: background-color 0.2s linear;
  ${p};
  padding: 10px;
  &.opt-radio--primary {
    color: ${i=>o(i).primary?.main||r};
    &:hover {
      background-color: ${i=>o(i).primary?.hoverAlt||c};
    }
  }
  &.opt-radio--secondary {
    color: ${i=>o(i).secondary?.main||m};
    &:hover {
      background-color: ${i=>o(i).secondary?.highlight||u};
    }
  }
  &:focus-visible {
    outline: 1px dashed
      ${i=>o(i).primary?.main||r};
    outline-offset: -4px;
  }
  &.opt-radio--compact {
    padding: 4px;
    & > input[type="radio"]:focus-visible + .opt-icon {
      outline-offset: 1px;
    }
  }
  & > input[type="radio"]:focus-visible + .opt-icon {
    outline: 1px dashed
      ${i=>o(i).primary?.main||r};
    outline-offset: 6px;
    border-radius: 50%;
  }
  > svg {
    display: inline-block;
    width: 100%;
    height: 100%;
    font-size: 1.5rem;
    transition: fill 0.2s linear;
    flex-shrink: 0;
    user-select: none;
  }
  box-sizing: content-box;
`,y=e.input`
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
  cursor: inherit;
  z-index: 1;
`;export{f as Container,y as InputRadio,h as Wrapper};
