/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as d}from"react/jsx-runtime";import i from"react";import c from"./ReactQuill.js";import{postpone as u,isEqualValue as p,isEqual as a,mergeRefs as g}from"./utils.js";const f=["id","className","style","placeholder","tabIndex","onChange","onChangeSelection","onFocus","onBlur","onKeyPress","onKeyDown","onKeyUp"],l=["modules","formats","container","children"];class m extends i.Component{reactQuillRef=i.createRef();lastDeltaChangeSet;regenerationSnapshot;constructor(e){super(e),this.state={generation:0}}componentDidMount(){this.reactQuillRef.current?.instantiateEditor(),this.reactQuillRef.current?.setEditorContents(this.reactQuillRef.current?.getEditorContents())}componentWillUnmount(){this.reactQuillRef.current?.destroyEditor()}componentDidUpdate(e,o){const t=this.reactQuillRef.current;if(!t)return;const n=t.getEditor();if(n&&this.shouldComponentRegenerate(e)){const r=n.getContents(),s=n.getSelection();this.regenerationSnapshot={delta:r,selection:s},this.setState(h=>({generation:h.generation+1})),t.destroyEditor()}if(this.state.generation!==o.generation){const{delta:r,selection:s}=this.regenerationSnapshot;delete this.regenerationSnapshot,t.instantiateEditor(),t.getEditor().setContents(r),u(()=>t.setEditorSelection(s))}}shouldComponentUpdate(e,o){this.validateProps(e);const t=this.reactQuillRef.current;if(!t||this.state.generation!==o.generation)return!0;if("value"in e){const n=t.getEditorContents(),r=e.value??"";p(r,n)||t.setEditorContents(r)}return e.readOnly!==this.props.readOnly&&t.setEditorReadOnly(e.readOnly),[...f,...l].some(n=>!a(e[n],this.props[n]))}shouldComponentRegenerate(e){return l.some(o=>!a(e[o],this.props[o]))}validateProps(e){if(i.Children.count(e.children)>1)throw new Error("The Quill editing area can only be composed of a single React element.");if(i.Children.count(e.children)&&i.Children.only(e.children)?.type==="textarea")throw new Error("Quill does not support editing on a <textarea>. Use a <div> instead.");if(this.lastDeltaChangeSet&&e.value===this.lastDeltaChangeSet)throw new Error("You are passing the `delta` object from the `onChange` event back as `value`. You most probably want `editor.getContents()` instead. See: https://github.com/zenoamaro/react-quill#using-deltas")}render(){return d(c,{...this.props,generation:this.state.generation,reactQuillRef:g([this.props.reactQuillRef,this.reactQuillRef].filter(Boolean)),onChange:e=>{this.lastDeltaChangeSet=e.delta,this.props.onChange?.(e)}})}}export{m as default};
