/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as m}from"react/jsx-runtime";import ee from"clsx";import te from"quill";import u,{useRef as d,useImperativeHandle as ne}from"react";import{postpone as re,isQuillDelta as oe,isEqual as ie}from"./utils.js";const se=u.forwardRef(function({children:b,reactQuillRef:w,generation:y=0,id:M,className:S,style:T,value:I,defaultValue:L,placeholder:H="",readOnly:R=!1,preserveWhitespace:N=!1,formats:O,modules:B,scrollingContainer:Q,container:j,onChange:q,onChangeSelection:A,onFocus:V,onBlur:W,...l},k){const i=d(),s=d(),a=d(),g=d(I??L??""),f=d();ne(w,()=>({getEditingArea:E,getEditor:n,getEditorContents:x,getEditorSelection:h,setEditorContents:G,setEditorSelection:C,setEditorTabIndex:v,setEditorReadOnly:P,focus:Y,blur:Z,instantiateEditor:K,destroyEditor:_}));const z=()=>{const e=n();s.current=X(),e.on("editor-change",p)},D=()=>{n().off("editor-change",p)},p=(e,t,r,o)=>{const c=n();e==="text-change"?F(c.root.innerHTML,t,o):e==="selection-change"&&J(t,o)},F=(e,t,r)=>{if(!s.current)return;const o=s.current,c=oe(e)?o.getContents():o.getHTML();c!==x()&&(g.current=c,q?.({value:e,delta:t,source:r,editor:o}))},J=(e,t)=>{if(!s.current)return;const r=s.current,o=h(),c=!o&&e,$=o&&!e;ie(e,o)||(f.current=e,A?.({selection:e,source:t,editor:r}),c?V?.({selection:e,source:t,editor:r}):$&&W?.({previousSelection:o,source:t,editor:r}))},K=()=>{i.current||(i.current=new te(E(),{bounds:j,formats:O,modules:B,placeholder:H,readOnly:R,scrollingContainer:Q,theme:"snow"}),l.tabIndex!==null&&l.tabIndex!==void 0&&v(l.tabIndex)),z()},X=()=>{const e=n();return{getHTML:()=>e.root.innerHTML,getLength:e.getLength.bind(e),getText:e.getText.bind(e),getContents:e.getContents.bind(e),getSelection:e.getSelection.bind(e),getBounds:e.getBounds.bind(e)}},Y=()=>{n().focus()},Z=()=>{n().blur()},_=()=>{i.current&&D(),i.current=void 0,s.current=void 0,a.current=void 0},E=()=>{if(!a.current)throw new Error("Instantiating on missing editing area");const e=a.current;if(!e)throw new Error("Cannot find element for editing area");if(e.nodeType===3)throw new Error("Editing area cannot be a text node");return e},n=()=>{if(!i.current)throw new Error("Accessing non-instantiated editor");return i.current},x=()=>g.current,h=()=>f.current,G=e=>{const t=n();g.current=e;const r=h();typeof e=="string"?t.setContents(t.clipboard.convert(e)):t.setContents(e),re(()=>C(r))},C=e=>{const t=n();if(f.current=e,e){const r=t.getLength();e.index=Math.max(0,Math.min(e.index,r-1)),e.length=Math.max(0,Math.min(e.length,r-1-e.index)),t.setSelection(e)}},v=e=>{const t=n();t.scroll.domNode&&(t.scroll.domNode.tabIndex=e)},P=e=>{const t=n();e?t.disable():t.enable()},U=()=>{const e={key:y,ref:t=>{t&&(a.current=t)}};return u.Children.count(b)?u.cloneElement(u.Children.only(b),e):N?m("pre",{...e}):m("div",{...e})};return m("div",{ref:k,id:M,className:ee(S,"opt-quill"),style:T,...l,children:U()})});export{se as default};
