/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import t from"styled-components";import{white as e,disabledBorder as l,primary as i,primaryHoverAlt as a,disabledText as p}from"../../../utils-styles/colors.js";import{pallette as r}from"../../../utils-styles/pallette.js";const n=t.div`
  &.opt-quill__toolbar {
    position: ${({sticky:o})=>o?"sticky":"relative"};
    z-index: 1;
    top: ${({sticky:o,stickyOffset:d})=>o?d||"-16px":void 0};
    background-color: ${o=>r(o).background?.main||e};
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: ${o=>r(o).disabled?.border||l};
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    padding: 20px 18px;

    > div {
      display: flex;
      flex-wrap: wrap;
      margin: calc(-16px / 2);
      gap: 8px;
    }
  }
`,s=t.div`
  .opt-quill__toolbar__button + .opt-quill__toolbar__button {
    border-left-width: 0 !important;
  }
  .opt-quill__toolbar__button:first-of-type {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
  }
  .opt-quill__toolbar__button:last-of-type {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
  }

  .ql-color .ql-picker-label,
  .ql-background .ql-picker-label {
    position: relative;
    display: inline-block;
    width: 18px;
    height: 18px;
    cursor: pointer;

    .ql-transparent {
      opacity: 0.4;
    }

    .ql-fill.ql-color-label {
      fill: currentColor;
    }

    .ql-stroke {
      fill: none;
      stroke: currentColor;
      stroke-linecap: round;
      stroke-linejoin: round;
      stroke-width: 2;
    }
  }

  .ql-picker {
    .ql-picker-options {
      display: none;
      position: absolute;
      width: 152px;
      min-width: 100%;
      padding: 4px 8px;
      padding: 3px 5px;
      white-space: nowrap;
      border: 1px solid transparent;
      box-shadow: rgb(0 0 0 / 20%) 0 2px 8px;
      background-color: ${o=>r(o).background?.popover||e};

      .ql-picker-item {
        cursor: pointer;
        display: block;
        padding-bottom: 5px;
        padding-top: 5px;
      }
    }
    &.ql-expanded {
      .ql-picker-options {
        display: block;
        margin-top: 1px;
        margin-left: -4px;
        top: 100%;
        z-index: 1;
        border-color: ${o=>r(o).disabled?.border||l};
      }
    }
  }

  .ql-color-picker {
    .ql-picker-item {
      border: 1px solid transparent;
      float: left;
      height: 16px;
      margin: 2px;
      padding: 0px;
      width: 16px;
      &:hover {
        border-color: #000;
      }
    }
  }
`,c=t.div`
  font-family: "Equinor";
  font-size: 0.875rem;
  font-weight: 500;
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  min-width: 28px;
  min-height: 28px;
  padding: 0;
  border: 0;
  border-width: 1px;
  border-style: solid;
  box-sizing: border-box;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  appearance: none;
  outline: 0;
  text-decoration: none;
  user-select: none;
  cursor: pointer;
  vertical-align: middle;

  .opt-icon {
    width: 18px;
    height: 18px;
    & > svg {
      width: 18px;
      height: 18px;
    }
  }

  box-shadow: none;
  background-color: transparent;
  border-width: 1px;
  border-style: solid;
  color: ${o=>r(o).primary?.main||i};
  border-color: ${o=>r(o).primary?.main||i};
  &:hover,
  &:active,
  &.active {
    color: ${o=>r(o).primary?.main||i};
    background-color: ${o=>r(o).primary?.hoverAlt||a};
  }

  &.ql-active {
    color: ${o=>r(o).text?.inverted||e};
    background-color: ${o=>r(o).primary?.main||i};
    border-color: ${o=>r(o).primary?.main||i};
  }

  &:disabled,
  &[aria-disabled="true"] {
    cursor: not-allowed;
    color: ${o=>r(o).disabled?.text||p} !important;
    border-color: ${o=>r(o).disabled?.border||l} !important;
    background-color: transparent !important;
  }

  &.ql-direction {
    > svg {
      width: 20px;
      height: 20px;
      fill: currentColor;
      border: currentColor;
      vertical-align: middle;
    }
    & > svg:last-child {
      display: none;
    }
    &.ql-active > svg:first-child {
      display: none;
    }
    &.ql-active > svg:last-child {
      display: inline;
    }
  }
`;export{n as BaseToolbar,c as BaseToolbarButton,s as BaseToolbarGroup};
