/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsxs as T,Fragment as $,jsx as b}from"react/jsx-runtime";import G from"clsx";import J,{useRef as K,useState as P,useImperativeHandle as Q,useCallback as U,Children as V,cloneElement as W}from"react";import X from"../Paper/Paper.js";import Y from"../Popper/Popper.js";import"../BaseIcon/BaseIcon.js";import"date-fns";import"date-fns/locale/en-US";import"date-fns/locale/nb";import Z from"../utils/isDescendant/isDescendant.js";import{getStyledSystemColorProps as _,getStyledSystemPositionProps as ee}from"../utils/styledSystemHelpers.js";import oe from"../utils/useOnClickOutside/useOnClickOutside.js";import"styled-components";import{black8 as S,white as te}from"../utils-styles/colors.js";import re from"../utils/useThemePallette/useThemePallette.js";const ne=J.forwardRef(function({className:O,children:p,tooltipRef:L=void 0,open:r=void 0,defaultOpen:N=!1,closeOnClickOutside:R=!0,trigger:u=["click","hover"],content:j,onOpen:n=void 0,onClose:l=void 0,onClick:y=void 0,onMouseEnter:k=void 0,onMouseLeave:s=void 0,onContextMenu:w=void 0,onClickOutside:M=void 0,...t},z){let g;const d=re(),m=K(null),[f,c]=P(N),[v,A]=P(null),i=Array.isArray(u)?[...u]:[u],{...D}=_(t),{...F}=ee(t);Q(L,()=>({open:e=>{const o=new MouseEvent("click",{bubbles:!0,cancelable:!0,view:window});h(e||o)},close:e=>{const o=new MouseEvent("click",{bubbles:!0,cancelable:!0,view:window});a(e||o)}})),R&&(i.includes("click")||i.includes("contextMenu"))&&oe(m,e=>{Z(v,e.target)||a(e),M&&M(!1,e)});const C=U(e=>{A(e)},[]),h=e=>{typeof r!="boolean"&&c(!0),n&&n(e)},a=e=>{m.current&&typeof r!="boolean"&&c(!1),l&&l(e)},I=e=>{const o=!f;typeof r!="boolean"&&c(o),y&&y(o,e),o&&n&&n(e),!o&&l&&l(e)},q=e=>{e.preventDefault();const o=!f;typeof r!="boolean"&&c(o),w&&w(o,e),o&&n&&n(e),!o&&l&&l(e)},x=e=>{clearTimeout(g),h(e),k&&k(!0,e)},B=e=>{g=setTimeout(()=>a(e),100),s&&s(!1,e)},E=()=>{const e={};return i.includes("click")&&(e.onClick=I),i.includes("contextMenu")&&(e.onContextMenu=q),i.includes("hover")&&(e.onMouseEnter=x,e.onMouseLeave=B),e},H=()=>{const e={};return i.includes("hover")&&(e.onMouseEnter=x,e.onMouseLeave=o=>{a(o),s&&s(!1,o)}),e};return T($,{children:[(()=>typeof p=="string"?b("span",{ref:C,...E(),style:{display:"inline-block",cursor:"pointer"},children:p}):V.map(p,e=>W(e,{ref:C,...E(),style:{display:e.props?.display?e.props?.display:"inline-block",cursor:"pointer",...e.props.style}})))(),v&&b(Y,{ref:z,className:G(O,"opt-tooltip"),role:"tooltip",open:typeof r=="boolean"?r:f,anchorEl:v,container:t.container,disablePortal:t.disablePortal,keepMounted:t.keepMounted,modifiers:t.modifiers,arrow:t.arrow,placement:t.placement,backgroundColor:d.background?.overlay||S,elevation:t.elevation,...D,...F,children:b(X,{ref:m,elevation:0,p:10,backgroundColor:d.background?.overlay||S,color:d.text?.inverted||te,fontSize:"0.75rem",...H(),...t,children:j})})]})});export{ne as default};
