/**
 * Check if a child node is descendant of a parent node.
 *
 * @param parent the parent html node.
 * @param child the child html node.
 * @returns true if a child element is a descendant of a parent element, otherwise false.
 */
export default function isDescendant(parent: HTMLElement | null, child: HTMLElement | null): boolean;
