interface WindowSize {
    width: number;
    height: number;
}
/**
 * Easily retrieve window dimensions with this Hook React which also works onResize.
 *
 * @example
 * function Component() {
 *    const { width, height } = useWindowSize()
 *    ...
 * }
 */
export default function useWindowSize(): WindowSize;
export {};
